
This lists changes to the LaTeX2e files in reverse chronological order.

NOTE:  This file is based on the developers' personal change-log files
and is provided for convenience only.  It therefore makes no claims to
completeness or accuracy and it contains some references to files that
are not part of the distribution.

=======================================================================


1998-05-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* clsguide.tex (subsection{Identification}): Explicitly warn that
	the optional date argument of \Provides... must be in the format
	yyyy/mm/dd and will produce low-level errors otherwise

1998-05-17 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: 

	Spanish ords changed to text chars, pr/2579

	Fixed typo in `next'

	* lttab.dtx:

	Enhanced documentation

	* ltoutenc.dtx:

	Fixed \textcircled
	Fixed wrong code in \t
	Added masc/fem ords defaults
	Swapped acutedbl and gravedbl in TS1
        Renamed macron in TS1
	
	* pict2e.dtx:

	Wording changed, and "documentation"

1998-05-04 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: support calc expressions in \rule command
	(that one was forgotten or so it seems)

1998-04-26 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx:

	Set-up lccodes (and uccodes) before reading in
	hyphenation files

1998-04-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (section{The Description of Macros}): 
	reinit ^^A as comment char at beginning of document to allow use
	of inputenc with doc since inputenc disables ^^A (pr2581)

1998-04-16 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (subsection{Macros surrounding the `definition parts'}):
	small change that defers freezing of \MacroFont until after the
	preamble so that people can change its definition in the preamble.
	As we have been on 1.9z this is now 2.0a but it isn't really
	something exciting ... :-)

	* ltxref.dtx: added documentation about extending the 
	\ref mechanism as suggested in pr2801

	* ltcounts.dtx: small documentation updates

1998-04-13 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltspace.dtx:

	Documented lots of bugs and problems with the present code,
	and even some solutions

	* latex209.dtx:

	Added experimental long typeout about abuse of
	compatibility mode to possibly avoid prs like 2807

1998-04-13 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx Use \setlength to set size of p-column and for
 	argument of tabular* environment, so that the benefits of the
 	calc package apply.

1998-04-10 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* letter.dtx: removed space at the right of address (pr2794)

1998-04-09 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* classes.dtx:

	Reverted openany change to \mainmatter

1998-03-28 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx (IMPORTANT NOTICE): renamed \orginaldefault to
	\originaldefault

1998-03-18 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx: some fixes for pr2662

1998-03-16 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fntguide.tex: explain new \DeclareMathDelimiter syntax (pr2662)

1998-03-15 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx:  use new \DeclareMathDelimiter syntax (pr2662)

	* ltfssdcl.dtx: allow \DeclareMathDelimiter to always use 6 args
	(pr2662)

1998-03-11 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx: added \mathring accent (pr2785)

1998-02-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd: added substiution for cmss/bx/sc to produce
        cmr/m/sc; much better would be to have the real thing ---
        anybody cares to contribute those to the ec fonts? (pr2586)

1998-02-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* bugs.txt: say that reports have to be in English

	* ltoutenc.dtx: Documentation added about removing declaration
	of encoding specific commands (pr/2783)
	Command \UndeclareTextCommand added (pr/2783)
	Added \UndeclareTextCommand declarations to textcomp.sty (pr/2783)

	* ltdefns.dtx: \@thirdofthree added for \UndeclareTextCommand

1998-02-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx: Added documentation about the best order of
	declarations for encoding specific commands.
	Also moved loading ofts1enc.def after declaring the defaults
	for such reasons.

1998-02-15 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* bugs.txt: added info about not changing established (mis)behavior

1998-02-11 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* miktex.txt: Added to distribution.

1998-01-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: fixed typo iso-8859-5 should have been iso-8859-9
        (pr/2748)

1998-00-31 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltx3info.tex:

	Updated

1998-00-23 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* install.txt: small updates such as isbn numbers

1998-00-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: adding \nopreamble and \nopostamble
	and making sure that \usepreamble\empty really doesn't write
	anything to the stripped file (pr/2726)

1998-00-10 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd:

	Added large sizes for ec fonts only
	Removed long lines

1998-00-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx: added missing braces and \upshape for \textcircled

1998-00-01 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* emtex.txt: small clarification as suggested by Heinz

1997-11-31 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* fntguide.tex:

	Corrections to math font declarations
	Tidying
	Added new encoding information

	* ltoutenc.dtx:

	Documentation correction

1997-11-31 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* grphcomp.err: added further errate entries, updated cls file

1997-11-30 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx: fixed header info for textcomp.sty 
	(missing \ProvidesPackage)

1997-11-22 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx

	Added textcomp package
	Corrections and additions to documentation
	Removed all octal and hex codes
	Added \textperthousand and \textpertenthousand to T1
	Added \leavevmode at start of \c in T1

	* inputenc.dtx

	Made next encoding consistent with others
	Consistently used math-or-text command when
	  available: THIS MAY CHANGE
	Changed \mathdegree to \textdegree
	\inputencoding now works only in vmode
	Temporarily fixed \IeC 
        Merged latin1 code with ansinew/cp1252
	Changed `\k{}' to `\k\ '
	Added textcomp package
	Corrections and additions to documentation

	* fontdef.dtx

	Added documentation

	* ltnews08.tex

	Added stuff

1997-11-18 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* doc.dtx: Fix small documentation glitch.
	
	* ltpatch.ltx: Replace reference to ,,June'' release by ,,last''
 	release.

1997-11-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: expl3

	* latexbug.el (ltxbug-categories): expl3

1997-11-17 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* fntguide.tex: Removed obsolete \setbox construct.

1997-11-15 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* clsguide.tex (section{Upgrading \LaTeX~2.09 classes and
 	packages}): Added documentation for \if@compatibility switch
 	(supplied by Barbara Beeton).

1997-11-11 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex (subsection{\LaTeXe---The new \LaTeX~release}):
 	Improved the sentence about formerly separate formats.

	* ltoutput.dtx: Documentation fixes.

	* ltlogos.dtx: Documentation fix.

1997-11-06 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx (subsection{Floats}):

	Removed incorrect error code in \output

	* ltnews08.tex:

        Revised text

	* ltnews.cls:

        Added definition environment

1997-10-23 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx:  Use \textperthousand not \textpermill. /2673

	* ltoutenc.dtx: Use \textperthousand, \textpertenthousand and
	\textfractionsolidus not \textpermill, \textpertenmill and
	\textfraction. /2673

1997-10-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfssdcl.dtx: inline \stepcounter /2669/2661

1997-10-19 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx: reindent \@xtryfc and friends (no code change).

	* ltfloat.dtx: missing percent in @footnotetext. /2670

1997-10-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: ltnews08

	* ltnews08.tex: first attempt.

	* source2e.tex: ltcounts and ltlength before NFSS /2669/2661

	* format.ins: ltcounts and ltlength before NFSS /2669/2661

1997-10-18 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* compan.err: rewrote that file to be processable by LaTeX

	* grphcomp.err: rewrote that file to be processable by LaTeX

1997-10-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfssdcl.dtx: Fix \DeclareSymbolFont so it updates \group@list
	for latex/2661.
	Remove duplicate (unused) definition of \stepcounter.
	Add a few macro envs to the documentation.

1997-10-03 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ifthen.dtx: Documentation fix.

1997-09-28 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx: Minor documentation fixes.

1997-09-23 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.ins: Unpack ts1enc.def.

1997-09-21 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltfssbas.dtx: Added \makeatletter to \nfss@catcodes (and removed
 	it from \try@load@font@shape).

	* ltdefns.dtx: Change \renew@command to use \begingroup/\endgroup
 	for grouping, to avoid generation of empty math atoms.

1997-09-20 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx: Removed \aa and \AA from \@uclclist as these are
 	macros.

	* slifonts.fdd(ullasy.fd): Removed superfluous pair of braces at
 	end of \DeclareFontFamily command.

1997-09-17 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx: Moved check for vertical mode from
 	\DeclareTextFontCommand to \check@nocorr@.

1997-09-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx: back out \today change.

	* install.txt: --release--date--goes--here--

	* ltpatch.ltx: --release--date--goes--here--

	* patches.txt: --release--date--goes--here--

	* Makefile: install.txt patches.txt ltpatch.ltx
 	--release--date--goes--here--

1997-09-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: Check for text before or after \end{filecontents}
	latex/2636

1997-09-10 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* classes.dtx(\l@part): Removed setting of \@tempdima as
	this macro does not use \numberline to set the toc line.

1997-09-10 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: renamed \perthousand to \textpermill as this is the
	TS1 name (and it wasn't available before) (pr/2622)
	added code page 1250 (pr/2515)

1997-09-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx: Move expansion of \today here from document class
	files. latex/2620

	* classes.dtx: use \def not \edef for \today. latex/2620

1997-09-08 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltlogos.dtx: Simplified macro \LaTeX: use only \check@mathfonts
 	to force loading of fonts suitable for the letter `A'.

1997-09-06 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltcounts.dtx: Replaced \@Roman by a new version that is fully
 	expandable, so that the correct sequence of letters is written to
 	files.

1997-08-30 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* slides.dtx (subsection{Date}): Use \edef to define to
	in order to save space; following change to classes.dtx, dated
	1995/08/16.

	* letter.dtx (subsection{Date}): Use \edef to define to
	in order to save space; following change to classes.dtx, dated
	1995/08/16.

1997-08-15 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltpictur.dtx: warn if \line etc is too small to get printed.
	 (pr/2524)

1997-08-09 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltdefns.dtx: Use \begingroup \endgroup instead of { ... }
        to avoid generating math ords if used in math mode. (pr/2573)

1997-08-08 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: added decmulti input encoding for DEC Multinational
	Character Set (pr/2599)

1997-07-19 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx(latin2.def,cp852.def): Replaced \dh and \DH by \dj
 	and \DJ.

	* inputenc.dtx(ansinew.def): Exchanged codes for \textendash and
 	\textemdash.

	* inputenc.dtx: Enclosed all encoding definition files by
 	\makeatletter/\makeatother.

1997-07-15 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.dtx: Added initialization of \leftmargin to \@listi
 	(obviously forgotten and never noticed before).

1997-07-05 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx: Corrected order of arguments in \UseTextSymbol
 	example (PR latex/2572).

1997-06-31 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* cfgguide.tex: Put braces around argument of \sffamily,
        to keep latex2html happy.

1997-06-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: support compiling docstrip without statistics
	(pr/2429)

	* fntguide.tex: documentation updates (pr/2550)

1997-06-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.el: Use default name and address from user-...
	and make current directory setting more robust.
	Both fixes from Andreas Schwab, latex/2547.

1997-06-15 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: Replaced slides.fdd by slifonts.fdd.

	* ec.ins: Replaced slides.fdd by slifonts.fdd.

	* slides.ins: Replaced slides.fdd by slifonts.fdd.

	* slides.fdd: Renamed to slifonts.fdd, there is a name clash with
 	slides.dtx when run through LaTeX.

	* truetex.txt: New version by Richard Kinch.

1997-06-09 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* classes.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* doc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* exscale.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* fontdef.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ifthen.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* inputenc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* latex209.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* latexsym.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* letter.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltboxes.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltclass.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltdirchk.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* lterror.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfinal.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfloat.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfssbas.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfssdcl.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfssini.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfsstrc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltlists.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltmath.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltoutenc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltoutput.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltpictur.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltplain.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltsect.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltxdoc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* makeindx.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* newlfont.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* oldlfont.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* slides.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* cmextra.ins: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* clsguide.tex: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* lablst.tex: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

1997-05-17 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* fntguide.tex:

	Changed information about fontname
	.fd filenames to lowercase
	Removed long lines, and a few typos

1997-05-17 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* emtex.txt: Updated by Heinz Kusnier.
	
	* web2ctex.txt: Updated by David Outteridge.
	
	* manifest.txt: Added truetex.txt.

	* truetex.txt: New file by Richard Kinch.

1997-05-16 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx (section{Introduction}): Documentation fix.

	* ltdirchk.dtx: Documentation fixes.

	* exscale.dtx: Documentation fix.

	* classes.dtx: Documentation fixes.

	* ltfloat.dtx: Documentation fix.

	* alltt.dtx: Documentation fixes.

1997-05-11 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* readme.txt:

	Added information re ltnews files

	* usrguide.tex:

	Updating information: fonts, addresses, CD-ROMs

	* clsguide.tex:

	Added information: normalsfcodes, policy on chnages
	to standard styles

1997-05-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltxcheck.tex: Change texts referring to dc/ec fonts. 
	internal/2513

	* latexbug.tex: Fix save stack problem, internal/2514, and
 	other minor improvements.

1997-05-02 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd: add bold sc fonts for latex/2497

1997-04-26 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.fdd: Removed spaces in and around arguments to
 	\DeclareFontShape.

	* cmfonts.fdd: Removed spaces in and around arguments to
 	\DeclareFontShape and \EC@family.

1997-04-22 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltlogos.dtx: Added \m@th to definition of \LaTeXe so that
	the logo works with non-zero values of \mathsurround.

	* ltfsstrc.dtx (section{Handling Options}): Replaced \\ by
 	\MessageBreak in Option `pausing' (suggested by Donald Arseneau).

1997-04-10 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx:

	Corrected typo in cp852.def

1997-04-08 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* inputenc.ins:

	Split up \generate for PC

1997-04-07 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx:

	Added latin3.def
	Some rearrangments
        Removed long lines
	
	* ltspace.dtx  

        Made \newline robust

	* ltoutenc.dtx  

1997-03-30 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* inputenc.ins: Added generation of latin5.def.

	* inputenc.dtx: Latin5 encoding added.

1997-03-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltbibl.dtx: add \@empty to \@citex for latex/2432.

1997-03-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cmextra.ins: Remove concrete fd file generation.

1997-03-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex: bm package.

1997-03-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* letter.dtx: remove hidden math from itemize labels latex/2419

	* ltnews07.tex: first draft.

1997-03-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* texpert.txt: default install uses ec.

	* install.txt: default install uses ec.

	* readme.txt:  1997/06/01

	* unpack2e.ins: include ec.ins not newdc.ins by default.

	* ltpatch.ltx: 1997/06/01

	* patches.txt: 1997/06/01

	* Makefile: 1997/06/01

1997-03-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx: normalsfcodes latex/2404 (from patch file)

	* ltfiles.dtx: \normalsfcodes latex/2404 (from patch file)

1997-02-26 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* amiweb2c.txt: update from Andreas Scherer.

1997-02-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltcounts.dtx: Use \mathsection and \mathparagraph in \fnsymbol
	latex/2445

	* inputenc.dtx: Use decimal rather than hex  to avoid active
	character problems. latex/2451

1997-01-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd: typo fixed in ot1cmvtt \ProvidesFile latex/2394

	* slides.fdd: typo fixed in cccsc10 latex/2395

1997-01-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* patches.txt: patch level 1

	* ltpatch.ltx: /2414 fix.

	* ltlists.dtx: Support \noindent after \item. latex/2414

1997-01-05 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (subsection{GetFileInfo}): missing % latex/2404.

	* ltpatch.ltx: had to happen.

	* ltclass.dtx: missing % in last g@addto@macro change.

1997-00-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* install.txt: ec fonts.

	* ltnews06.tex: ec fonts.

	* ec.ins: add slitex fonts

	* slides.fdd: ec fonts.
	lowercase fd file \input.

	* ltxcheck.tex: ec fonts.

1997-00-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: ec.ins.

	* Makefile: ec.ins.

	* ec.ins: new file. Alternative to newdc.ins

	* cmfonts.fdd: Add ec fonts

1997-00-08 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx: Use \DeclareMathDelimiter and \DeclareMathSymbol
	On remaining cases using primitive assignments.

	* ltfiles.dtx: reset \deadcycles in \include for latex/2365.

	* ltmath.dtx: Remove spurious space tokens from \root.
	General cleanup of the docs, lots of macro envs added.

1997-00-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* letter.dtx: modify \\ in \startbreaks for /2341.

1997-00-06 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltnews06.tex: minor edits.

1996-11-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltsect.dtx: \nobreak added to \@dottedtocline for latex/2343

1996-11-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* modguide.tex: Fix spelling for latex/2345

1996-11-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: Use \begingroup so \g@addto@macro does not make
	a \mathord.

1996-11-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: Fix for /2340 (From Marcin).

1996-11-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfloat.dtx: Call \@setminpage if needed. latex/2318.
	General doc improvements (add macro envs, indent code, etc).

1996-11-06 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx: ***

	* ltfssini.dtx: ***

	* ltvers.dtx: ***.

	* ltdirchk.dtx: Remove *** from messages. internal/2338.

1996-10-28 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: documentation changes.

	* ltvers.dtx: Check for old format modified  again. /2319

1996-10-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltnews06.tex: document fd file change.

1996-10-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: change documentation of release schedule /2319

	* ltvers.dtx: Check for old format modified. /2319

	* ltxcheck.tex: lowercase  fd and *enc.def filenames. /1044

	* fontdef.dtx: lowercase  fd and *enc.def filenames. /1044

	* slides.fdd:  lowercase fd file names. /1044

	* latexsym.dtx: lowercase fd file names. /1044

	* latexsym.ins: lowercase fd file names. /1044

	* slides.ins:  lowercase fd file names. /1044

	* cmfonts.fdd: lowercase fd file names. /1044

	* cmextra.ins: lowercase fd file names. /1044

	* newdc.ins: lowercase fd file names. /1044

	* olddc.ins: lowercase fd file names. /1044

	* cmfonts.ins: lowercase fd file names. /1044

	* ltoutenc.ins: lowercase fd and *enc.def file names. /1044

	* ltoutenc.dtx: lowercase fd and *enc.def file names. /1044

	* ltfssbas.dtx: lowercase fd file names. internal/1044

1996-10-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltmath.dtx: Reinstate \ensuremath as \long /2104.

1996-10-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: resend patch from Sept 11

        Added ts1enc.def (but it is not unpacked)
	Changed copyright, underscore (\_) and registered
        Added \leavevmode to compwordmark
	Added hex index tabs (experimental)
	
1996-10-05 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx

	Added standard nobreak check to the write used for \nofiles case

1996-10-04 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltlists.dtx

	Added test for no \item between an inner and
	outer list

	* ltplain.dtx:

        Use \hbox to in \dotfill
	

1996-10-04 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* lterror.dtx (autoload version): Move \@nodocument into kernel,
 	so that it can be \let to \relax in \begin{document}.

1996-10-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: Change MW address.

	* cmfonts.ins: split up \generate (again) for PC.

1996-09-31 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx

	Added \lccode for \oe in OT1

	* classes.dtx:

	Changed numbering of figures, tables and equations outside chapters
	in book and report (pr/2178)

	Removed math-mode from itemize labels

	* ltspace.dtx

	Reimplemented \(no)linebreak
	Reimplemented \\ and \newline

	* ltsect.dtx:

	Documentation changes

1996-09-28 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx

        Removed defs of \aa \AA
        Removed \@strip@args (no longer used)
        Corrected documentation

	* inputenc.dtx
	
        Added cp865.def
        Added \textasteriskcentered
        Removed \aa \AA as internal forms
        Other minor additions and corrections to .def files

	* ltplain.dtx

	Removed math from \dotfill
        Added \aa and \AA
        Updated and corrected documention

1996-09-25 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltlists.dtx:

	Added explicit flag resetting to \endtrivlist

	* ltoutput.dtx

	Added documentation

1996-09-24 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx:

	Added local settings of flags in
	  \@arrayparboxrestore: dangerous!
        Used \@setminipage in minipages

	* ltfloat.dtx:

	Prevent floats in preamble
	\@setnobreak no longer used in resets (but see above)
	 
	* ltoutput.dtx

	Changes when nobreak is true
	Prevent \twocolumn in preamble
	Added error code to \newpage 

1996-09-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: Remove redefinion of \Ask and add \askonceonly
	(which is the same thing, but looks nicer).

	* docstrip.dtx: Change MDW's address. Add \askonceonly.

1996-09-23 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltlists.dtx 

        Use \setboz\z@ to remove parindent in \@item
	Set \clubpenalty correctly in \@item
	Do not reset \@nobreak unconditionally
	Added documentation

	* ltsect.dtx 

        Use \setboz\z@ to remove parindent in \@xsect
	Added documentation

1996-09-23 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: Delay setting the `current directory syntax'
	commands so that a configuration file can reset them if
	necessary.

1996-09-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* autoload.ins: add \usedir

1996-09-21 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx

	Small change in tabbing to make the later change in items
	(see pr/2211) work properly

	Moved some code \@array, to make this environment more robust
	(pr/2183), uncovering an interesting feature of the original
	code; changed to use \set@typeset@protect

	Made \multicolumn \long

1996-09-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* Makefile (DSTS): add format.ins

	* manifest.txt: add format.ins

1996-09-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ds/docstrip.dtx: merge in Marcin's latest.
	More DPC changes:
	Make missing batchfile an error
	Change name of config file to docstrip.cfg.
	Add \endbatchfile.
	Change all the .ins files for new style.

1996-09-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ds/docstrip.dtx: Add initex support, and
 	auto setting of \batchfile from \jobname to the new
	`TDS' version from Marcin.

1996-09-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: Add ltxcheck.tex

1996-09-08 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx

	Fixed bug in \text.. commands (pr/2157)

1996-09-05 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx 

	Added setting of \@clubpenalty

	* classes.dtx (chapter*{\bibname):

	Added setting of \@clubpenalty

1996-09-04 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* Makefile: remove testdist.dtx, add ltxcheck.tex

	* unpack2e.ins: Remove \testdistribution. internal/2251

	* ltxcheck.tex: New version independent of ltdirchk
	Add checking for files `unpacked; during LaTeX install.

	* ltdirchk.dtx: Remove ltxcheck.tex. internal/2251

	* Makefile: 1996/12/01.

	* ltclass.dtx: Reset \@unprocessedoptions in
	\RequirePackageWithOptions for internal/2269.

1996-08-29 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltsect.dtx

	Added documentation

	* ltfiles.dtx

	Added disabling of \@nodocument to \document
	Tidied up documentation

	* ltoutput.dtx

	Checks for noskipsec and inlabel added to \newpage

	* ltmiscen.dtx:

	Moved \@xobeysp to ltspace.dtxx

	* ltspace.dtx

        Added \@xobeysp linked to \nobreakspace

1996-08-26 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* cmfonts.ins: Added guard `nowarn' to generation of OT1cmtt.fd
 	file, to avoid annoying substitution messages if a bold typewriter
 	font is selected (as, for example, in section headings).

	* newdc.ins: Added guard `nowarn' to generation of T1cmtt.fd file,
 	to avoid annoying substitution messages if a bold typewriter font
 	is selected (as, for example, in section headings).

	* cmfonts.fdd (subsubsection{Computer Modern Typewriter}), Added
 	silent substitutions for T1 bold extended typewriter fonts (new
 	version).

1996-08-21 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx:

	Change to using \@parboxrestore in \@outputpage

1996-08-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* classes.dtx: Quote > in changes entry (from 1994/10/29:-)
	as it is special due to setting in gglo.ist.

1996-08-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: Fix loop for latex/2257

1996-08-09 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx, letter.dtx, slides.dtx (subsubsection{Itemize}):
	replace \endash with \textendash (stupid typo)

1996-07-25 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsubsection{Itemize}): Replaced -- with \endash
	in the definition of \labelitemii. (saves a token)

	* slides.dtx (subsubsection{Itemize}): Replaced -- with \endash
	in the definition of \labelitemii. (saves a token)

	* ltpatch.ltx: Add the characters ', `, and " to \nfss@catcodes as
	they might be active while LaTeX processes an .fd file.

	* ltfssbas.dtx (subsection{Macros for loading fonts}): Added the
	characters ', `, and " to \nfss@catcodes as they might be active
	while LaTeX processes an .fd file.

1996-07-24 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Itemize}): Replaced -- with \endash
	in the definition of \labelitemii. (saves a token)

1996-07-05 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: swap mathordxxx in cp850. latex/2203

1996-06-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfssbas.dtx:
	definition of if@inmath switch removed (see below)

	* ltfsstrc.dtx:
	removed if@inmath switch and replaced with inline code
	\init@restore@glb@settings saving space macro names and 
	execution time

	* ltfssdcl.dtx:
	removed ifrestore@version switch and replaced with inline
	code \init@restore@version

1996-06-26 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltdefns.dtx:
	make third arg of \@reargdef implicit
	replace {} args by \relax
	use \noexpand instead of \string in error message

	* ltoutput.dtx:
	set if@test always globally
	add some missing percent signs in \clearpage

	* ltboxes.dtx:
	set if@minipage always globally

	* ltmath.dtx: 
	set if@ignore always globally

	* ltmiscen.dtx:
	set if@ignore always globally
	add user command \ignorespacesafterend to be used in env defs

	* ltfloat.dtx: 
	set if@nobreak always globally
	set if@minipage always globally

	* ltspace.dtx:
	fix typo in doc.
	set if@nobreak always globally

	* ltlists.dtx:
	set if@nobreak always globally
	set if@minipage always globally

	* ltsect.dtx:
	set if@nobreak always globally

	* ltclass.dtx:
	made \@classoptionslist and \@unusedoptionlist only preamble
	to save space

	* ltfssbas.dtx:
	removed unnecessary \relax (6 times) in \nfss@catcodes
	use faster \if$#3$ test in \@DeclareMathsizes

	* ltalloc.dtx: 
	don't set a default for @tempswa -- nobody can rely on that

	* ltplain.dtx:
	removed setting of \vsize and \hsize (done later)
	changed \dimen\z@ to \dimen@ to save space (and time)

1996-06-19 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* patches.txt:  latex/2197

	* ltpatch.ltx: Use char0 not @ for \lowercase trick: latex/2197

	* ltoutenc.dtx: Use char0 not @ for \lowercase trick: latex/2197

	* patches.txt: add ltxcheck.tex to list of changed files.

	* ltpatch.ltx: add ltxcheck.tex to list of changed files.

	* ltdirchk.dtx: Check for unauthorised cmr10 changes.

1996-06-18 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltspace.dtx:

	Added commentary on some known problems

1996-06-10 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* Makefile:  Add vtex.txt

	* manifest.txt: Add vtex.txt

	* ltpatch.ltx: pl1

	* patches.txt: pl1

	* ltfinal.dtx: Free up token registers /2213

1996-06-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* pastex.txt: Update (Lars Hecking/Christian Bauernfeind)

1996-05-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Fix to give correct error with plain TeX.

1996-05-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltnews05.tex: (Barbara Beeton) Wrong attribution for IPA fonts

1996-05-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* classes.dtx: spelling...  J"org Knappen /2176

1996-05-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx: Change \hskip\z@skip to \hskip1sp in for /2160

	* syntonly.dtx: Fix \GetFileInfo usage in documentation /2174

1996-05-13 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* clsguide.tex: 

        Updated for new release
        General minor edits

1996-05-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: doc improvements, mainly from  /2174 again.

	* ltdefns.dtx: doc improvements J"org Knappen /2174

	* ltcounts.dtx: doc improvements J"org Knappen /2174

	* ltalloc.dtx: doc improvements J"org Knappen /2174

	* inputenc.dtx: doc improvements J"org Knappen /2174

1996-05-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: Fix Checksum Ulrik Vieth /2171

1996-05-11 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx:

	Added resetting of \everypar in the output routine

1996-05-10 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltnews04.tex: typo: \ProcessOptions not \ProcessOption.

	* ltnews05.tex: Advertise Mainz copy of GNATS.

	* ltnews.cls: Add extra line in lw35fonts option.
	Make font scaling messages `s'.

	* ltboxes.dtx: use \@@par not \endgraf.

	* ltsect.dtx: use \@@par not \endgraf.

1996-05-07 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltnews05.tex:

        Revised text

	* ltnews.cls:

        Changed fonts for lw35 option, for logical and aesthetic
        reasons
        Added support for T1 encoding with lw35 option
        Corrected grammar in footer

	* fntguide.tex:

        Updated for new release

1996-05-06 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltspace.dtx: doc improvements Donald Arseneau /2166

	* ltpage.dtx:  doc improvements Donald Arseneau /2166

	* latex209.dtx: doc improvements Donald Arseneau /2166

	* bugs.txt: remove duplicate line J"org Knappen/2165

1996-05-04 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: modify vms suggestion slightly (J"org Knappen)

1996-05-04 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx: \verbatim@noligs@list now processed after
 	\dospecials (PR 2138).

1996-05-03 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* install.txt:

	Changed reference from texpert.txt to cfgguide.tex

1996-05-03 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: Look for dcfonts release 1.3 in ltxcheck

1996-04-28 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltnews05.tex: more changes.

1996-04-26 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx : Make the commands \frontmatter, \mainmatter and
	\part react to [openany] in the same way as \backmatter and
	\chapter do. (PR 2106)

1996-04-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latex209.dtx: Redid \(@)normalsize checks. internal/2153
	Reinstated old definition of \nofiles. latex/2146

1996-04-23 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx

        Extra documentation

        * ltoutput.dtx

        Changed test for a text page full of floats
        Tidied documentation

1996-04-23 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx: Preset accent arguments in a box to stop font
	loading interfering with accent position.  latex/2133.

1996-04-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltnews05.tex: needs more work, but...

1996-04-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltsect.dtx: CHANGE: Allow commands with arguments (eg
	\MakeUppercase) to be used in the `style' argument of
	\@startsection. The section heading text including any number
	etc will be supplied as the argument of this
	command. internal/2148

1996-04-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* minimal.cls: Documentation improvements.

1996-04-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd:
	Added Computer Modern Variable Typewriter family.

1996-04-18 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx:
	Produce better error message when encoding is misspelled. pr/2054

1996-04-17 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * fontdef.dtx

        Removed \@@sqrt

        * slides.dtx

        Removed \@@sqrt

1996-04-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* slides.fdd: Force \hyphenchar of OT1 fonts to 45, in case
        \defaulthyphenchar has changed.
        Remove some spurious extra empty arguments to \DeclareFontFamily
 
	* cmfonts.fdd: Force \hyphenchar of OT1 fonts to 45, in case
        \defaulthyphenchar has changed.
        Remove some spurious extra empty arguments to \DeclareFontFamily

	* ltfiles.dtx: Add \write\m@ne{} to \nofiles so that
	\label (and other things) don't change the vertical spacing when
	\nofiles is used. latex/2146

1996-04-09 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltfntcmd.dtx

        Made more robust to errors

        * slides.dtx

        Made \include mechanism work

1996-04-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: Enable activation of codes below 32. latex/2071
	Add warning if nothing defined by the encoding file latex/2136

1996-04-09 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* unpacked.txt:
	added cp852.def. pr/2081

1996-04-08 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* legal.txt: Modify `rename changed files' clause to explicitly
	forbid `double renaming' back to the original names.

1996-04-08 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfsstrc.dtx:
	Changed \begingroup to \bgroup to match a change to the kernel
	done in 1994!!! It took a long time to find that one. pr/2100

	* inputenc.dtx:
	Added encoding definitions for cp852 contributed by Petr Sojka.
	pr/2081

1996-04-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltnews05.tex: make a start at this ....

1996-03-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx: reset \AtBeginDocument inside \begin{document}
	for latex/1297. Small documentation improvements.

1996-03-23 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx: Documentation improvements.

	* ltcounts.dtx: Documentation improvements.

1996-03-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* Makefile: perl -p -e s#--release--date--goes--here--#1996/06/01#
	spring is in the air....

	* ltspace.dtx: documentation improvements.

	* lttab.dtx: add extra \hskip to preserve tabcolsep in empty
	l columns. latex/2122.
	Small documentation improvements.

1996-03-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpage.dtx: Minor documentation improvements.

1996-03-18 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (section*{Index}%):
	Definition of \printindex removed because no longer needed. 
	pr/2095

1996-03-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: ansinew 09f is \"Y not \"y, latex/2119

1996-02-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltmath.dtx: Modify \ensuremath for amslatex/2104

1996-02-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ifthen.dtx: latex/2105 fix: dont leave mathord {} groups.

1996-01-29 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* multitex.txt: Update from Markus Kohm, latex/2051

1996-01-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: Cedilla (\c\ ) rather than (\c{}) latex/2077
	0F0 corrected in cp850 latex/2080
	0B2 corrected in latin2 latex/2079

1996-00-31 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* slides.dtx: fixed \cline which wasn't updated after internal
	interface change pr/2067

1996-00-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (subsection{Macros surrounding the `definition parts'}):
	support doc files also in compatibility mode (so far doc did typeset
	the code in cmr instead of cmtt in compat mode)

1996-00-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltidxglo.dtx:
	turn \makeindex and \makeglossary into noops after use to avoid
	problems with combinations of \PageIndex \makeindex etc. pr/2048

	* letter.dtx:
        Made redefinition of \vspace robust. pr/2049
	Nevertheless, they syntax used in the pr is considered
	incorrect!

	* ltspace.dtx:
	Made \vspace robust. Enhancement suggested by pr/2049

1996-00-11 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx:
	Changed default text preceding the index so that it depends on
	the use of code line numbering.

	* ltxdoc.dtx:
	Removed \star since useless. pr/2039

1996-00-10 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx: latex/2024 ensure setting \input@path does not
 	change behaviour of ##1 in \IfFileExists.

1996-00-03 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* bugs.txt:
	Added a comment about where to send errata entries for the books.

1995-11-29 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (subsection{Bells and whistles}):
	Added \AlsoImplementation as a counterpart to \OnlyDescription
	pr/2040.

	* texpert.txt:
	clarified info about warnings happening when using makeindex.

	* doc.dtx (section*{Index}%):
	Turn \PrintIndex into noop after use. pr/2038
	(section*{{Change History}}%): 
	Turn \PrintChanges into noop after use. pr/2038

1995-11-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latex209.dtx:
	Corrected printout of index. pr/2028

	* ltmath.dtx:
	Corrected printout of documentation. pr/2030

	* ltfntcmd.dtx:
	Corrected changes entry. pr/2029

1995-11-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd: Ulrik Vieth /2017: fix up T1cmfib.fd file.

1995-11-13 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * copypre.txt

        New version, removing long lines

        * copyins.txt

        New version, removing long lines

        * copyhead.txt

        New version, removing long lines

        * bugs.txt

        Additions, updates and corrections        

        * autoload.txt

        Additions, updates and corrections        

        * texpert.txt

        Additions, updates and corrections        

        * ltnews.cls

        Removed long lines
        Changed capitalisation

        * cmfonts.fdd

        Removed long lines

        * slides.fdd

        Removed long lines

        * olddc.dst

        New preambles

        * newdc.dst

        New preambles

        * cmextra.dst

        New preambles

        * cmfonts.dst

        New preambles

        * latexsym.dst

        New preambles

        * autoload.dst

        New preambles

        * unpack2e.ins

        New preambles

        * slides.dst

        New preambles

        * legal.txt

        New version

        * readme.txt

        New version

        * ltclass.dtx

        Documentation added

        * fontdef.dtx

        Documentation added

        * latex209.dst

        Smaller batches for old emtex

        * modguide.tex

        Additions, updates and corrections        

        * cfgguide.tex

        Additions, updates and corrections        

        * clsguide.tex

        Additions, updates and corrections        

        * fntguide.tex

        Additions, updates and corrections        

        * ltx3info.tex

        Additions, updates and corrections        

        * usrguide.tex

        Additions, updates and corrections        

        * ltxguide.cls

        Corrected cfg loading

        * inputenc.dtx

        Detailed corrections

        * ltdefns.dtx

        Added documentation

1995-11-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* install.txt (NOTE): add info to run olddc.ins.

1995-11-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: Modify \IeC and add missing % in
	\DeclareInputText.

1995-11-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: (Bernd Raichle) Check for dcfonts 1.2 patch
	level 1. Latest TeX is now 3.14159.

	* ltoutenc.dtx: TEMPORARY \copyright fixes.

	* amiweb2c.txt: new version from Andreas Scherer.

1995-11-08 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Switched off \@inmathwarn.

1995-11-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfloat.dtx: Move \m@th out of \ensuremath in \textsuperscript

	* ltbibl.dtx: restore \G@refundefinedtrue

	* ltxref.dtx: restore \G@refundefinedtrue

	* ltnews04.tex: new input encodings.

1995-11-06 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* docstrip.dst: Remove writing of \@currdir by .ins file.

	* ltfssbas.dtx: reset catcode of ^ in fd files.

1995-11-06 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * encguide.tex: Added examples of new \text* commands.

        * usrguide.tex: Added documentation for new \text* commands.

1995-11-05 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cstex.txt:  New file (from Markus Kohm)

	* multitex.txt: New file (from Markus Kohm)

	* ltfiles.dtx: add \ignorespaces to \begin{document} latex/1933

	* ltdefns.dtx: Remove \@unexpandable@noexpand (never used) /1733

	* ltfloat.dtx: \textsuperscript in math mode. latex/1984

1995-11-05 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Changed text of \TextSymbolUnavailable.

1995-11-04 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lthyphen.dtx: minor doc edits for /1989

	* preload.dtx: 12pt OMS and OML preloads added /1989.

	* fontdef.dtx: minor doc edits for /1989

	* cmfonts.fdd: upright italic and tt small caps re-added. /1989.

	* modguide.tex: edits for /1989

1995-11-04 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dst: Added cp437de.def.

        * inputenc.dtx: Added \@tabacckludge commands to the Next encoding.
        Replaced ~ by \nobreakspace.
        Added a `test version' to the \ProvidesFile.
        Made <pounds> and <uumlaut> text char in cp437.
        Made <fraction> a math char in Next.
        Made <cdot> and <bullet> text chars in all encodings.
        Added cp437de (cp437 but with ss rather than beta).

1995-11-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd: Dont force \hyphenchar=127 on T1 fonts /1853
	Documentation changes and some font shapes modified
	Ulrik Vieth /1989,

1995-11-01 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dtx: Removed extraneous {} from the <superior> glyphs.

        * ltoutenc.dtx: Made \SS a default command rather than making the
        OT1 definition the default.

1995-10-30 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* proc.dtx, classes.dtx (section{Identification}): Added the date
	of the LaTeX format to the optional argument of \NeedsTeXformat in
	order to signal newer class files being used with an old format
	(PR1971). 

1995-10-30 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cfgguide.tex: dont change uc lc tables...

1995-10-29 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* clsguide.tex: Minor edits.

	* cfgguide.tex: minor edits.

	* ltxguide.cls: modify verbatim slightly.

	* cmextra.dst: Use concurrent features for speed (/1985 again)

	* oldlfont.dtx:  Remove duplicate driver code (/1985 again)

	* newlfont.dtx: Remove duplicate driver code (/1985 again)

	* ltoutput.dtx: add \ProvidesFile to flafter.sty (/1985 again)

1995-10-29 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Added \textless, \textgreater, et al.

        * inputenc.dtx: Replaced \textsterling with \pounds.
          Added default error-message definitions for \textyen et al.
          Added a \NeedsTeXFormat line.
          Tidied up the Next encoding.

1995-10-28 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: 2 (not 3) column index and modified script
	Allow control names to hyphenate in the ChangeLog.

	* latexsym.dst: \input docstrip before using docstrip commands.

	* latexsym.dtx: Stop rogue %% comments apearing in generated
	files. Another one from  Ulrik Vieth's /1985.

	* ltxdoc.dtx: Increase left margin and marginpar width

	* ltclass.dtx:  minor improvements.

	* ltnews04.tex: minor improvements.

	* lterror.dtx: Typo in autoload \ClassError version. /1985

	* ltmath.dtx:  doc fixes for /1979.

	* ltsect.dtx: doc fixes for /1985.

	* ltfntcmd.dtx:  doc fixes for /1985.

	* ltplain.dtx:  doc fixes for /1985.

	* ltlists.dtx:  doc fixes for /1985.

	* ltoutenc.dtx:  doc fixes for /1985.

	* ltfsstrc.dtx: doc fixes for /1985.

	* ltfloat.dtx: doc fixes for /1985.

1995-10-28 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Added test for math mode to text commands.
        Renamed \@changed@x@err to \TextSymbolUnavailable.

1995-10-27 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfssbas.dtx: reset catcode of # in fd files internal/1982

	* exscale.dtx: add \ProvideFile to fd file for latex/1987

1995-10-24 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltspace.dtx

        \nobreakspace added

1995-10-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltxguide.cls: typo ltxdoc.cls for ltxguide.cls

1995-10-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* texpert.txt: describe updated ltxcheck 

	* manifest.txt: ltnews04

	* Makefile (TEXS): ltnews04

	* ltnews04.tex: New TUG Address, \LoadClassWithOptions

	* doc.dtx: Make \MakeShortVerb use an \PackageInfo rather 
          than \tyepout. internal/1938

1995-10-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: Minor documentation cleanups.

	* ltoutenc.dtx: add `symbol' to the message.

1995-10-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: Merge in Marcin's new code restoring
          \inFileName functionality.
          Remove generation date/version number from generated files
          Add \AddGenerationDate batchfile command to put them back.
          Force whole file through ispell!!

	* ltoutenc.dtx: Use \@wrong@font@char in \UseTextSymbol. /1676

	* ltfssbas.dtx: Make missing fd file \typeout a Font Info
          and add \@wrong@font@char for use in \UseTextSymbol. /1676
          Clean up many \changes entries.

1995-10-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: Exchange order of ltdefns and ltalloc
         (Matches code change of 24th May.)
	 Modify \changes def to match doc.sty 1.9u

1995-10-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: Dont make a ! BAD typeout if just the old (or new)
	  dc fonts are installed.

	* ltclass.dtx: Add \LoadClassWithOptions for latex/1556
        Add \RequirePackageWithOptions to match.
        Stop \@unprocessedoptions complaining about empty options
        noticed whilest debugging the above change...

	* inputenc.dtx: remove rogue \endinput. Wrap long lines.

1995-10-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Check default font encoding/family etc.

1995-10-10 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx:

	Made code in-line to remove pseudo-hooks

1995-10-08 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* autoload.dst: fix order of files in autoerr for new docstrip.

	* ltnews04.tex: first draft

1995-10-07 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx (subsection{Definitions for the OT1 encoding}):
 	Changed \char32 to \@xxxii (two tokens less). Replaced octal
 	number 27 by decimal number 23 to protect against the quote
 	character being active. Added \leavevmode at start of \c,
 	otherwise the output routine might be invoked within the macro
 	(suggested by Donald Arseneau). Replaced some 0's by \z@
 	(faster).

	* ltlists.dtx (\@doendpe): Enclosed \setbox0 assignment by a
 	group so that it leaves the contents of box $0$ intact.
 	Discovered by Donald Arseneau.

	* cmfonts.fdd: Use decimal rather than octal character
 	specification for \hyphenchar and \skewchar so that there is
 	no problem with an active quote character.

1995-10-03 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* unpack.ins: Updated for new concurrent docstrip.

	* ltoutenc.dst: Updated for new concurrent docstrip.

	* newdc.dst: Updated for new concurrent docstrip.

	* olddc.dst: Updated for new concurrent docstrip.

	* proc.dst: Updated for new concurrent docstrip.

	* autoload.dst: Updated for new concurrent docstrip.

	* latex209.dst: Updated for new concurrent docstrip.

	* inputenc.dst: Updated for new concurrent docstrip.

	* cmfonts.dst: Updated for new concurrent docstrip.

	* classes.dst: Updated for new concurrent docstrip.

	* slides.dst: Updated for new concurrent docstrip.

	* latexsym.dst: Updated for new concurrent docstrip.

	* makeindx.dst: Updated for new concurrent docstrip.

	* docstrip.dst: Updated for new concurrent docstrip.

	* docstrip.dtx: New concurrent docstrip by Marcin Woli\'nski.

1995-10-02 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * classes.dtx

        Made \footnote always work in frontmatter

1995-10-02 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfssbas.dtx: Remove spurious space from NFSS font warning
          latex/1676

	* ltxdoc.dtx: Add silent font substitutions.

1995-10-02 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* latex209.dtx: Added code for fleqn.sty, leqno.sty,
 	openbib.sty.

	* latex209.dst: Added generation of files fleqn.sty, leqno.sty,
 	openbib.sty for compatibility mode.

	* inputenc.dtx: Changed internal name \a to \@tabacckludge to
 	protect against redefinition by malicicous users. Wrapped long
 	lines.

	* ltoutenc.dtx: Changed internal name \a to \@tabacckludge to
 	protect against redefinition by malicicous users.

1995-10-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Only list `configuration' input files.

	* ltfinal.dtx: Modify \@addtofilelist during initex so only 
          non-standard (cfg) inputs listed.

	* ltfssini.dtx: Modify \@addtofilelist during initex so only 
          non-standard (cfg) inputs listed.

	* ltdirchk.dtx: Modify \@addtofilelist during initex so only 
          non-standard (cfg) inputs listed.

	* Makefile: Add newdc/olddc

	* unpack2e.ins: Add newdc.ins.

	* cmfonts.fdd: Modify T1 and TS1 generation.

	* cmfonts.dst: remove dc font generation.

	* olddc.dst: NEW: Generate fd files for obsolete dcfonts 1.1
 	and earlier.

	* newdc.dst: NEW: Generate fd files for dcfonts 1.2

	* fontdef.dtx: Wrap fd inputs in \nfss@catcodes. internal/1932

	* ltfssbas.dtx: Correct undefined font family test internal/1933

1995-09-31 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: CHANGE: Add \nobreak to \@finalstrut to allow
	  hyphenation of the last word of a p-column (and footnotes).
          internal/1931

	* ltdirchk.dtx: more robust checking of dc fonts.

1995-09-31 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.fdd: Added extra substitutions for shape `ui' to make
	\pounds work properly in the slides class (mostly).

1995-09-30 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltxcheck.tex: Check that if you have the old dc fonts, then the
	  initex run loaded a suitable old fd file.

	* fntguide.tex: Describe genb size function.

	* clsguide.tex: Mention minimal.cls is now in the distribution.

	* minimal.cls: Bring into line with version in clsguide.tex

1995-09-29 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsection{The title}): empty \@date as well at the
	end of \maketitle
	(subsection{Paragraphing}): Added the setting of \...skipamount,
	just a copy of the kernel values. (PR 1464)

1995-09-27 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpictur.dtx: Initialise \@wholewidth in autoload kernel.
        General doc cleanup.

	* usrguide.tex: Describe minimal.cls

1995-09-26 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* minimal.cls: A masterpiece of typographical design.

	* ltfssbas.dtx: Disable autofss2 for now.

1995-09-25 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltfloat.dtx

        Corrected bug in \end@dblfloat, made code more robust

1995-09-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltmath.dtx: modify docstrip guards so 
          \ProvidesFile{ltmath.dtx} seen by source2e.tex.

	* ltidxglo.dtx: General doc cleanup.

	* ltsect.dtx: Initilalise mark commands using \let to save space

	* ltalloc.dtx: General doc cleanup.

1995-09-24 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltfiles.dtx

        Removed one-way switches from \endocument

        * ltxref.dtx  

        Removed one-way switches from \endocument
        Tidying.

        * ltfssbas.dtx

        Removed one-way switches from \endocument

        * ltbibl.dtx

        Removed one-way switches from \endocument

        * ltmiscen.dtx

        Removed one-way switches from \endocument
        Tidying.

1995-09-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdefns.dtx: Make \@autoload files ignore EOL.

	* lterror.dtx: modify autoload \@preamerr.
          Add % to some lines as \@autoload files now ignore line ends.

1995-09-23 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * lttab.dtx

        Made poptabs more robust
        Tidied up documentation

1995-09-23 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Abstract}): Added setting of
 	\cs{beginparpenalty} to discourage page break before abstract
 	heading.

1995-09-22 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd: Added support for new (version 1.2) DC fonts and
 	text companion fonts in encoding TS1.

	* inputenc.dst: Added generation of ansinew.def file.

	* inputenc.dtx: Added ansinew encoding (Windows 3.1 ANSI), as
 	contributed by Berthold K.P. Horn (bkph@ai.mit.edu).

1995-09-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Clarify output format a bit.

	* ltclass.dtx: modify autoload support

	* ltfsstrc.dtx:  Keep autofss2 code in kernel until
	  \begin{document}.

	* ltfssbas.dtx: Keep autofss2 code in kernel until
	  \begin{document}.
          use \@undefined not \undefined

	* ltfinal.dtx: \@filelist zapped too early.

1995-09-19 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* inputenc.dtx: Replaced \' \` \= by \a' \a` \a in order to get
 	correct accents in a tabbing environment.

1995-09-18 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltspace.dtx (subsection{Horizontal space}): Moved \changes
 	from \@ to \hspace where it belongs.

1995-09-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx: Reset \ProvidesFile, Preserve initex file list in
	  \reserved@a

	* ltclass.dtx: Remove \ProvidesFile redefinition to ltfinal.
          Reset \CurrentOption in \ProcessOptions for graphics/1873

	* ltdirchk.dtx: Modify \ProvidesFile during initex to save
	  debugging info and not waste \ver@... csnames.

	* latexbug.tex: Show initex file list.

	* latexbug.el: use \@@input not \input

	* latex209.dtx: \supereject, \mscount, old style \@imakepicbox

	* ltplain.dtx: Move \supereject to latex209

	* lttab.dtx: move \mscount to latex209 use \@multicnt instead.

1995-09-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltbibl.dtx: make \cite robust /1808

	* ltmath.dtx: Make \sqrt robust /1808
          Use \@testopt in eqnarray's \\ /1911.

	* ltspace.dtx: Use \@testopt in \[no]{line|page}preak (/1911)

	* ltdefns.dtx: new \@ifstar CHANGE: require ##1 in both arguments
          not ####1 in one and ##1 in the other. (internal/1910)
          Use \@testopt in \newcommand and \newenvironment (/1911)

	* ltboxes.dtx: Clarify \makebox(,)[b] description.

	* ltthm.dtx: Allow \newtheorem after \begin{document} again.
          (LaTeX Book, page 57)

1995-09-16 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltfssini.dtx: Added \relax at the end of the definition of
 	\normalfont to prevent it and \textnormal from eating up leading
 	spaces.

1995-09-11 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltoutput.dtx

        New check in \clearpage.

1995-09-10 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfssdcl.dtx: autoload error message

	* ltthm.dtx: Make \newtheorem and its internals `only preamble'
        to save memory.

	* ltplain.dtx: autoload tracing code

	* ltfssbas.dtx: Make \showhyphens colour safe and autoloadable.

1995-09-10 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.dtx (subsection{The title}): In \maketitle, move \par
 	inside the scope of \Large, to get even line spacing.

1995-09-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdefns.dtx: use \@@input to load autoload files.

	* lterror.dtx: more autoload mods.

	* ltoutenc.dtx: Autoload \@changed@x@err (autoerr.sty)

1995-09-06 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* autoload.dst: update autoerr generation.

	* ltfiles.dtx: autoload missing file error command

	* ltplain.dtx: autoload \new... error message.

	* ltdefns.dtx Use \aut@global in \DeclareRobustCommand

1995-09-04 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfsstrc.dtx: Use new \@autoload feature.

	* ltfssbas.dtx: Use new \@autoload feature.

	* ltoutput.dtx: Use new \@autoload feature.

	* lttab.dtx:  Use new \@autoload feature.

1995-09-03 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx: 1995/12/01 Christmas is nearly here...

	* Makefile: 1995/12/01 Christmas is nearly here...

	* ltdefns.dtx: Fix \@xtypein (from patch file)

	* fontdef.dtx: Define \@@sqrt (from patch file)

	* lterror.dtx:  Use new \@autoload feature.

	* ltpictur.dtx: Use new \@autoload feature.

	* autoload.dst: autoload module in ltdefns.dtx.

1995-09-02 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx: Move \newif to ltdefns.dtx.
        Use \sbox in \underbar (saves tokens, and works with colour)

	* ltdefns.dtx: \futurelet with \@let@token for internal/924
	New implementation of \@xargdef in terms of the new
        \@protected@testopt. Saves tokens and makes user defined
	commands with optional arguments robust. internal/1733
	Move \newif here from ltplain.
	Autoload support. Add \aut@global and \@autoload. internal/1617.

1995-08-27 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: Check \filename parser in ltxcheck.tex
          for latex/1624 latex/1754  and graphics/1336 
	  Check for dc fonts in ltxcheck.tex

1995-08-27 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.dtx, slides.fdd: Globally replaced scale factor 19.91
 	by 19.907 in \DeclareFontShape, as this gives better rounded
 	font sizes at 600dpi (suggested by Denis Roegel).

	* docstrip.dtx: Changed address of Johannes Braams.

1995-08-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latex209.dtx: Declare 2 count registers previously used
          in \cline. /1723

1995-08-25 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* web2ctex.txt: Added some comments about using non-csh, index
 	style files and some other missing files.

1995-08-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltxguide.cls:  \RequirePackage{shortvrb} for latex/1875

	* latexbug.el (report-latex-bug): Rainer's fix for latex/1675

1995-08-21 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* inputenc.dst: Added generation of next.def file.

	* inputenc.dtx: Added next encoding, as contributed by
 	Stefan Ried <stef@theo-phys.uni-essen.de> and Holger Uhr
 	<huhr@uni-paderborn.de>.

1995-08-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* slides.dtx: Fix \hline for latex/1871.

1995-08-20 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* cmextra.dst: Added generation of OMLccm.fd file, which had
 	previsouly been removed from cmfonts.dst.

	* slides.dtx: Replace \@tempa by \reserved@a. Wrap some long
 	lines and use \null instead of \hbox{} (by DPC).

1995-08-19 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.fdd: Corrected names of .fd file names in argument to
 	\ProvidesFile commands.

	* ltmiscen.dtx: Moved call to \@noligs macro after call to
 	\verbatim@font in \verb command, just as it is already in the
 	verbatim environment.

1995-08-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfssini.dtx: Modify TeX2 message.

1995-08-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx: New \cline implementation. No longer declare
	  counters \@cla \@clb. More macro envs in documentation.

	* ltplain.dtx: Move \multispan to lttab.dtx. Loads more macro
	  environments in the documentation.

1995-08-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* tex2.txt: typos...

	* ltplain.dtx: Minor space savings. Add a few more macro envs.

	* autoload.dst: add the l-terror.

	* lterror.dtx: Add autoload support.

1995-07-31 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dtx: Added 0 to the beginning of every number.
          Changed the definition of "AD in latin1 and latin2 to be \-.
          Swapped ordfeminine and ordmasculine around in latin1.

1995-07-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* classes.dtx: 
	Reimplemented openbib option to save space (hash and mem).
	Disable \title \author \date \and after \maketitle.
	Default for \newblock outside thebibliography env changed.

1995-07-25 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx:
	Added autoload code for autoout1.sty (\enlargethispage).

	* ltfsscmp.dtx:
	Added \@preambleonly lines from ltfssdcl.dtx.
	Moved compat code from ltfssbas.dtx to this file.

	* autoload.dst: 
	Added new autoload files.

1995-07-24 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfssdcl.dtx:
	Moved most of the \@onlypreamble declarations to the right places.
	Added forgotten \DeclareSymbolFontAlphabet@ to \@preambleonly
	(400 useless tokens)!

	* ltfssbas.dtx:
	Added to the documentation.

1995-07-23 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfssbas.dtx:
	Added autoload code for autofss1.sty.
	Added autoload code for autofss2.sty.
	

	* ltfsstrc.dtx:
	Macro \gobble@font@spec eliminated.
	Added autoload code for autofss1.sty.
	Added autoload code for autofss2.sty.

1995-07-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* encguide.tex:
	First draft.

1995-07-16 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * tex2.txt:

        Clearer wordings

        * ltcntrl.dtx:

        Made most loop macros \long
        Removed unnecessary \...noop macros 
        Tidied up documentation

1995-07-16 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx:
	set \@maxdepth at begin document not in class file
	add a couple of \global's

	* usrguide.tex:
	typo corrections pr/1809

	* ltmath.dtx:
	fixed mistake added with last update

	* classes.dtx:
	throw in a couple of forgotten percents
	reprogram a couple of macros to save space or macro names
	update  the documentation

1995-07-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltlength.dtx: Fix doc typos for latex/753

1995-07-11 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltxdoc.dtx:
	updated \marg etc to use \meta, suggested by pr/1370
	added missing braces in definition of \star

1995-07-09 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* cmfonts.fdd: 
	Fixed setup for OMScmr.fd as pointed out by Christian Spieler. pr/1804

	* ltmath.dtx: 
	Added code for leqno.clo and fleqn.clo

	* classes.dtx:
	Moved code for leqno and fleqn to kernel files.

1995-07-08 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* classes.dtx:
	Implemented titlepage differently to support twoside,openight
	options correctly. pr/1783.

	* docstrip.dst: 
	Removed part that might add non-standard setting of \@currdir
	into docstrip.tex so that unpacked distribution stays portable. pr/1765

1995-07-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (subsection{Macros for the `documentation parts'}): 
	Fixed problem that \begin{macro}{\foo} doesn't suppress
	index entries for \foo within its body. pr/343
	(subsection[Dealing with the change history]):
	\changes entries on top-level now preceed themselves with
	the expansion of \generalname rather than producing the
	fixed string "General".

	* docstrip.dtx:
	Clarified default "copying conditions" as suggested by
	Richard Stallman

1995-06-23 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * clsguide.tex:

        Added notices concerning use of `Standard LaTeX'

        * cfgguide.tex:

        Started major expansion and rewrite

        * modguide.tex:

        Rewrite adding section on modfying LaTeX

        * legal.txt:

        Further expansion and changes

        * ltxguide.cls:

        Changed configuration file messages

1995-06-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* classes.dtx:  reduce save stack usage for latex/1742

	* ltfssbas.dtx: reduce save stack usage for latex/1742

	* ltpage.dtx: Save a few tokens in \sloppy and \fussy

	* ltboxes.dtx: Use \sbox in \@save(pic)box

	* ltlogos.dtx: Save a few tokens in logo defs.

1995-06-19 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: tex2.txt

	* tex2.txt: TeX2 installation instructions first draft.

	* ltfssini.dtx: Test for TeX2 before reading fonttext.???

1995-06-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* patches.txt: PL3 Add proc and latex209 fixes missed yesterday.

	* ltpatch.ltx: PL3 Add proc and latex209 fixes missed yesterday.

	* proc.dtx: fix \thanks for /1735

1995-06-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* patches.txt: patch level 2.

	* ltpatch.ltx: Patch level 2 (accents)c ../mir

1995-06-16 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltoutput.dtx:

        New version of \@outputpage

1995-06-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltbibl.dtx: Remove \@onlypreamble from \bibcite

	* ltxref.dtx: Remove \@onlypreamble from \newlabel

1995-06-13 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltidxglo.dtx:
	Added \@preambleonly statements

	* ltfssbas.dtx:
	Updates to documentation
	Use macro rather than switch to flag default font 
        substitutions pr/1236

	* ltfiles.dtx:
	Updates to documentation

	* ltdefns.dtx:
	Updates to documentation

	* ltmiscen.dtx:
	Removed surplus \@onlypreamble stuff
	Updated documentation
	Streamlined code in \enddocument
	Streamlined code for \@xobeysp

1995-06-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* autopict.sty: Allow 2e commands in the autoload file /1737

1995-06-12 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* syntonly.dtx:
	Fix incorrect checksum.

1995-06-10 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltthm.dtx: 
	Updates to documentation (partly pr/1734)

	* lttab.dtx: 
	Updates to documentation (partly pr/1734)

	* ltplain.dtx: 
	Updates to documentation (partly pr/1734)

	* ltoutput.dtx: 
	Updates to documentation  pr/1734

	* ltlists.dtx: 
	Updates to documentation (partly pr/1734)

	* ltfloat.dtx: 
	Updates to documentation  pr/1734

	* lterror.dtx: 
	Updates to documentation  pr/1734

	* ltbibl.dtx:
	Updates to documentation (partly pr/1734)

1995-06-09 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltcntrl.dtx: 
	Reimplemented loop structures using Kabelschacht method.

	* ltlists.dtx: 
	Some updates to the docu.
	Shortend defs of enumerate and itemize by using \expandafter.

	* ltdefns.dtx:
	Removed a couple of surplus tokens, updated docu.
	(subsection{Command definitions}):
	Make \CheckCommand preambly only to save valuable space.

1995-06-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* patches.txt: document /1722 fix.

	* latex209.dtx: Fudge \@textsuperscript for /1722.

1995-06-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* letter.dtx: documentation updates as suggested by Christian Spieler
	pr/1721

1995-06-05 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltspace.dtx (section{Spacing}):
	Reimplementation of \[no]pagebreak to save space.
	Cleanup parts of the docu.

	* ltfntcmd.dtx:
	Use proper interface to jump out of \@tfor loop.
	Some docu update.
	Renamed \test@next to \t@st@ic.

1995-06-04 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latexsym.dtx:
	Free space taking up by \not@base error message since
	that one isn't any longer necessary.
	Some documentation update.

1995-06-03 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx:
	Small space changes in various places.

1995-06-02 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx: Moved debugging code to ltplain.

	* ltfssini.dtx:
	Fixing a mistake in shortening lines.

1995-05-30 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* patches.txt: document patches.

	* ltpatch.ltx: Oh well. I suppose it had to happen.

	* latex209.dtx: \@fnsymbol added (without \ensuremath) for /1684

1995-05-28 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltmath.dtx: fix \changes entries for /1677

	* ltfssini.dtx: fix \changes entries for /1677

1995-05-26 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* classes.dtx:
	Fixed the definition for footnotemarks in \maketitle for article
	which got corrupted in the june release. pr/1683

1995-05-19 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltbibl.dtx: Modify \bibcite so a repeated key produces
            LaTeX Warning: Label `aaa' multiply defined.
            ...
            LaTeX Warning: There were multiply-defined labels.
          instead of
             LaTeX Warning: Label(s) may have changed. 
                              Rerun to get cross-references right.

	* ltxref.dtx: Modify \newlabel so \bibcite can share code.

	* ltclass.dtx: Stop \documentstyle re-enabling \usepackage
        After it has been disabled by latex209.def (latex/1634)

1995-05-18 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        *  Makefile:

        Changed to use copypre.txt and copyhead.txt

        * cfgguide.tex:

        Configuration stuff transferred from texpert.txt

        * autoload.txt:

        Tidying, removed long lines

        * cm*.dst, docstrip.dst,latex*.dst,exscale.dst

        New preambles

        * inputenc.dst,ltoutenc.dst,slides.dst:

        New preambles

        * unpack2e.ins:

        New preambles

        * copyright.txt:

        No longer used

        * copyins.txt:

        New text

        * copypre.txt:

         New file

        * copyhead.txt:

        New file

        * copydisf.txt:

        New file

        * copydisg.tex:

        New file

1995-05-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfssdcl.dtx:  Minor documentation edits.

	* ltfsscmp.dtx:  Minor documentation edits.

	* ltfssbas.dtx: Minor documentation edits.

	* ltfsstrc.dtx: Take \ProvidesFile out of \iffalse clause
         so it shows up in \listfiles in source2e.tex.
         Wrap some long lines to 72.

1995-05-15 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltnews03.tex: Added pointer to autoload.txt.

1995-05-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: modify printing of patch level on page 1.

	* manifest.txt: autoload files.

	* autoload.txt: initial version

	* Makefile: add autoload files

	* autoload.dst: initial version of .ins file for autoload.

	* lttab.dtx: Add \ProvidesFile to autoload file.

1995-05-14 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dst: Fixed typo cp850 -> cp437

1995-05-14 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dst: Fixed typo cp850 -> cp437

1995-05-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpictur.dtx: Add \ProvidesFile to autoload file.

	* ltfinal.dtx: Moddify method of adding patchlevel banner
        Force format to be in errorstopmode, even if an installer
        scrolled past an error during initex run.

1995-05-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltvers.dtx: Add Auotoload banner
        Check for old source files (older than a year).

1995-05-11 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * legal.txt:

        Major changes

        * usrguide.tex:

        Added ltx3info.tex info

        * fntguide.tex:
        
        Added note re using non-cmr fonts in T1

        * clsguide.tex:
        
        Hash marks in option declarations OK
        Added Case cHANGING commands

        * cfgguide.tex:

        Configuration stuff transferred from texpert.txt
        
        * lablst.tex:

        Improved version: lists all bibitems separately
        Changed internal commands

        *  Makefile:

        Added modguide.tex 

        * manifest.txt:

        Added ltnews03.tex and modguide.tex 

        * install.txt:

        File name corrected
        Added ltx3info.tex info

        * emtex.txt:

        Added info re batch file

        * texpert.txt:

        Configuration details transferred to cfgguide.tex

        * readme.txt:

        Added pointers to various other info files

        * ltspace.dtx:

        Added \relax to \obeycr

1995-05-09 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Made composites declared with DeclareTextComposite
        use no-argument macros rather than one-argument macros.

        * ltnews03.tex: Changed modify.tex to modguide.tex, updated
        figures for space savings.

1995-05-08 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltnews03.tex: New issue of LaTeX News.

1995-05-06 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltfinal.dtx: Made \MakeUppercase and \MakeLowercase grab their
        argument and brace it.

1995-05-05 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltpatch.ltx: Removed patch for latex/1240 (now in ltoutenc.dtx).
        Removed patch for tools/1296 (now in ltoutenc.dtx).
        Removed patch for latex/1322 (now in ltoutenc.dtx).
        We now have an empty patch file again!

        * fontdef.dtx: Moved math commands from ltoutenc.dtx.

        * ltoutenc.dtx: Redid protection in DeclareTextCommand so that it
        uses \noexpand rather than \protect.  This should stop the
        problems with \'\i putting the acute on a \protect rather than
        on the \i.  Commented out the defaults for textless and
        textgreater.  Allow \ProvideTextCommandDefault after
        \begin{document} so it can be used in inputenc.def files.
        Save some tokens in \textvisiblespace and \textunderscore.
        Moved math commands to fontdef.dtx.

        * classes.dtx: Replaced \uppercase with \MakeUppercase

        * ltfinal.dtx: Added \MakeUppercase and \MakeLowercase.

1995-04-30 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dtx: Made hex numbers safe against active ".  Added
        docstrip commands to applemac.def.

1995-04-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx:
	Made \filec@ntents preamble only to save space.

	* ltfssbas.dtx:
	Added definition of \new@mathgroup again which got lost.
	(should be moved to other file one day).

1995-04-26 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx (section{Plain \TeX}): 

        Made \loop long
        Made \underbar use \box \tw@

	* ltdefns.dtx (subsection{Command definitions}): 
 
        Made \@gobble commands \long

1995-04-26 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* proc.dtx (subsection{The page style}): Removed \rmfamily from
	definition of \@oddfoot (PR 1578)

	* ltmath.dtx : Removed \rmfamily from definition of \@eqnnum 
	(PR 1578)

	* ltpage.dtx : Removed \rmfamily from definition of \ps@plain
	(PR 1578)

1995-04-26 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* Makefile: Remove generation of ltnfss.dtx

	* unpack2e.ins Add new NFSS files

	* manifest.txt: Add new NFSS files.

	* source2e.tex: Include new NFSS files

	* ltfssdcl.dtx: Initial version (latint.dtx)

	* ltfssini.dtx: Initial version (lfonts.dtx)

	* ltfsscmp.dtx: Initial version (fam.dtx)

	* ltfsstrc.dtx: Initial version (tracefnt.dtx)

	* ltfssbas.dtx: Initial version (fam.dtx)

1995-04-26 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (subsection{Macros surrounding the `definition parts'}): 
	Removed \math@fontsfalse in \MacroFont and \AltMacroFont because
	this isn't any longer correct with the new math font setup in NFSS2.
	pr/1622 (and some earlier one)
	Use \GetFileInfo.

1995-04-25 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* latex209.dtx: 
   
        Changed float reset hooks to empty

	* ltfloat.dtx: 
   
        Moved new resettings into hooks so that they can be removed in 
        latex209.dtx 

	* ltspace.dtx/ltlists.dtx 
        
        Moved \endtrivlist and friends to ltlists.dtx

	* ltfiles.dtx (section{File Handling}): 
        
        Added check for zero \topskip to \begin{document}
        Added some \longs

        * ltspace.dtx

        Made \vspace and \vspace* more efficient and more robust
       
        Commented out unused code

1995-04-25 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsubsection{Defining the page styles}): replace
	\rmfamily with \normalfont (PR 1578)

	* classes.dtx : Replace \reset@font by \normalfont
	(subsubsection{Defining the page styles}): Replace
	\hskip 1em\relax with \quad
	Removed \rmfamily from definition of \@eqnnum (PR 1578, leqno)

1995-04-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltlists.dtx: Documented form from Tobi.

1995-04-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: Exchange order of ltdefns and ltalloc
          as latter now needs \@gobbletwo from former.

	* usrguide.tex (subsection{Setting text susperscripts}): 
          \textsuperscript now access the current font (except for size
	  attribute)

	* ltfloat.dtx: redefine \textsuperscript in terms of
          \@textsuperscript

	* ltdefns.dtx: new \typein implementation

	* ltplain.dtx: New \newif implementation.

1995-04-23 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dst: Added applemac.def.

        * inputenc.dtx: Added applemac.def.
        Added test for whether definition of a text character ends in a
        macro.
        Corrected \mathordfeminine and \mathordmasculine.

        * inputenc.dst: Added applemac.def.

1995-04-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx: Add code and docstrip modules to support
        autoloading of tabbing.

1995-04-22 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx/ltfloat.dtx: Moved definitions of \footins and
        \footnoterule from ltplain to ltfloat.

1995-04-21 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latint.dtx:
	Fix \DeclareMathRadical so that it does work (never did :-)

1995-04-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx:
	Updated \mathhexbox to use \mbox.

	* ltmath.dtx:
	Removed \mathhexbox from this file because it is essentially an 
	obsolete text command (despite the name). It is still in ltlain.dtx
	Streamlined bits of code.

	* latint.dtx: 
	coded \set@mathradical inline to save space.
	Also fixed bug in \DeclareMathRadical.

	* fontdef.dtx: defined \sqrtsign to be the square root symbol not
	\sqrt since this is later overwritten by the kernel anyway.

	* fam.dtx: removed definition of \on@line since already in lterror.dtx

	* ltcounts.dtx:
	Allow \fnsymbol in text and math now (neccessary for pr/1503).
	Streamlined code for \@definecounter and \@arabic and friends.

	* latex209.dtx (subsection{Layout}):
	Added old definition for \@makefnmark and \thempfootnote to
	use math mode. pr/1503

	* ltfloat.dtx:
	Moved \normalfont to \textsuperscript.

1995-04-19 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpictur.dtx: Add code and docstrip modules to support 
          autoloading feature.

1995-04-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: 
	Moved some code from ltplain to this file.

	* ltspace.dtx: 
	Moved some code from ltplain to this file.

	* latint.dtx:
	Added some commands from NFSS1 compat code to \@preambleonly
	to save space.

	* fam.dtx:
	Moved all compatibility code for NFSS1 interfaces to one place
	to allow making them auto-loadable one day.

	* usrguide.tex (subsection{Setting text susperscripts}):
	Added a description of \textsuperscript. pr/1503

1995-04-18 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx: replaced all \hbox to with \hb@xt@; replaced all
	constructs such as \arabic{enumi} with \@arabic\c@enumi
	Cleaned up the \changes entries
	removed some unnecessary braces

1995-04-18 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfloat.dtx:
	Added \normalfont to the footnote mark (since it is now a text font).
	For similar reason \thempfootnote needs \itshape to look like before.

1995-04-17 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* slides.dtx: replaced all \hbox to with \hb@xt@; replaced all
	constructs such as \arabic{enumi} with \@arabic\c@enumi
	Cleaned up the \changes entries

	* classes.dtx: replaced all \hbox to with \hb@xt@; replaced all
	constructs such as \arabic{enumi} with \@arabic\c@enumi
	(subsection{Footnotes}): Use \@width instead of width 
	(subsection{The title}): Use \cs{\@makefnmark} in definition of
	\cs{@makefntext}
	Cleaned up the \changes entries

1995-04-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: make \g@addto@macro \long for latex/1522

	* ltboxes.dtx: Removed surplus { } in \@irsbox

	* ltlists.dtx: Start of documented version from Tobi.
          Removed surplus { } and used `\thr@@' not `3 ' to save tokens.

1995-04-17 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfloat.dtx (subsection{Footnotes}): 
	Added command \textsuperscript to provide footnotes with digits
	in the text font. pr/1503
	Streamlined bits of the code.

	* readme.txt: updated.

1995-04-16 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx: removed lots of unnecessary braces

1995-04-16 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: added tracefnt.sty generattion.

	* ltsect.dtx:
	Remove some surplus braces in \@startsection.

	* fam.dtx:
	Streamline some of the compat code.

	* ltdefns.dtx:
	Streamline code of \@typein slightly.

	* fam.dtx:
	Documentation update.

	* tracefnt.dtx:
	Further documentation.

1995-04-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex: Slightly re-word the `warning' in the\listfiles
	  description, for latex/1474.

1995-04-14 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* tracefnt.dtx: 
	Updated the documentation.

1995-04-13 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* alltt.dtx (section{The Implementation}): TeX goes into an
	infinite loop when the alltt environment contains a construct such
	as \( x' \); this can be prevented by restoring the original
	definition of ' *inside* math mode.
	Brought the definition of the alltt environment up-to-date with
	the current definition of the verbatim environment.

1995-04-13 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* tracefnt.dtx:
	Updated \DeclareOption declarations to reflect ##1 -> #1 change. pr/1557

1995-04-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: Use a token register in \DeclareOption(*)
          So that # need not be written as ##
          INCOMPATIBLE CHANGE: see latex/1557

	* ltpictur.dtx: Modify \picture so a missing ( in the first
	  argument generates an error. latex/1355
          Add a few more macro environments.

	* latex209.dtx: Restore old definition of \@footnotemark

	* ltfloat.dtx: Add \nobreak to allow hyphenation before a
	  footnotemark.
         Add loads of macro environments to the docs.

1995-04-11 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx:
	Moved a number of commands to different files following suggestions by
	Ulrik Vieth. pr/1180

	* ltmath.dtx: 
	Updates to \displ@y \displaylines \bmod to reflect changes in plain.tex.

	* fontdef.dtx: 
	Upates to \skew \rightarrowfill \leftarrowfill \@vereq to reflect changes
	in plain.tex.

1995-04-09 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (\subsection{Bibliography}): Added a missing %-sign

1995-04-08 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltbibl.dtx:   Use \@firstofone instead of \@iden.
	* tracefnt.dtx: Use \@firstofone instead of \@iden.
	* ltdefns.dtx:  Use \@firstofone instead of \@iden.

1995-04-07 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx:
	Updated definitions of \d and \b because of changes in plain.tex

	* ltplain.dtx:  Use \hb@xt@.
	* ltsect.dtx:   Use \hb@xt@.
	* ltpictur.dtx: Use \hb@xt@.
	* ltoutput.dtx: Use \hb@xt@.
	* ltoutenc.dtx: Use \hb@xt@.
	* ltboxes.dtx:	Use \hb@xt@.

	* ltdefns.dtx:
	Added \hb@xt@ as abbreviation for "\hbox to".

	* manifest.txt:
	Added ltx3info.tex. Rearranged some bits.

	* ltx3info.tex: 
	Added this file. Information about the latex3 project.

	* cmfonts.dst:
	Removed generation of OMLccm.fd file.

	* unpacked.txt:
	Removed surplus OMLccm.fd file. All concrete font files are now in
	mfnfss.

1995-04-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltsect.dtx (paragraph{...}):
        Use \quad instead of \hskip 1em in \@seccntformat. pr/1596
	Add \relax to prevent `plus/minus' problem with improper redefinition
	of \@seccntformat. pr/1596

1995-04-04 David Carlisle <latex-bugs@Uni-Mainz.DE>

* ltsect.dtx: Documented version from Tobias Oetiker.

1995-04-03 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* idx.tex: Added missing curly brace in \setlength command.

1995-04-02 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltsect.dtx:
	Surround the . in \@dottedcontextline by \hbox to typeset it in the text 
        font. pr/1503
	Don't reset to \rmfamily just to \normalfont in case the document font is
	not the roman one. pr/1578

1995-04-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpar.dtx: Documentation reworked by Tobias Oetiker.
          (Thanks to Tobi for volunteering.)

1995-03-29 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltdefns.dtx (subsection{Robust commands and protect}):
	Moved the initialisation of \protect to this file.

	* ltcntrl.dtx: 
	Removed unused defs for \@setprotect and \@resetprotect.
	Moved initialisation of \protect to ltdefns.dtx.

	* ltpar.dtx (subsection{Implementation}):
	Made \@par default to \@@par. (shorter)
	Tobi kindly updated the documentation for this file.

1995-03-27 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: Move some \leavevmodes earlier, for graphics/1512

	* latex209.dtx: Add  \hang and \textindent

	* ltplain.dtx: Move \hang and \textindent to latex209.dtx
        Remove some commands which are (re)defined later.

1995-03-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx:
	Add a number of \@onlypreamble commands to save space. pr/1240

	* ltfiles.dtx (section{File Handling}):
	Support for pr/1121. see below.

	* ltmiscen.dtx (subsection{Environments}):
	Limited support for \AtBeginDocument{\begin{foo}} 
        \AtEndDocument{\end{foo}}.
	Be careful to get the order right if you do it more than once. pr/1121

	* unpacked.txt:
	Added names of new encodings.

1995-03-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx: remove \the\every@math@size from \document
            for latex/1407 + 1420 (from patch file)

	* ltdefns.dtx: From patch file: make \@check@c \long
          (latex/1346) \newenvironment argument handling /1507.

	* ifthen.dtx: Fix `driver' docstrip guard. Reported by
          Martin Schr"oder.

1995-03-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpage.dtx: Reset \emergencystretch in \fussy latex /1344
         (fom patch file). Clean up documentation slightly.

	* ltcntrl.dtx: fix for /1317 (internal) \@for expanding its
	  argument incorectly 

	* ltxref.dtx:\newlabel \@onlypreamble for /1388 from patch file.

	* ltbibl.dtx: Add \mbox to \cite for latex/1239 from patch file.
	Make \@onlypreamble\bibcite /1388 (from patch file)
        Add some macro envs to documentation.

	* ltoutput.dtx: Modify docstrip guards to keep trace code out of
	  the kernel, unless `trace' specified.
          2 more fixes from patch file
           latex/1451: newline command \\ in eqnarray and output routine
           %%% latex/1392: AtBeginDvi broken

	* latex209.dtx: Add \proclaim and \ttraggedright

	* ltplain.dtx: Make \new... non outer: /1405 (from patch file)
          Move \proclaim and \ttragedright to latex209.dtx

1995-03-23 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltsect.dtx (section or \caption command.):
	Implement \addcontentsline with \addtocontents to save space.

	* manifest.txt:
	Added begleit.err (errata for the German translation of the 
	LaTeX Companion).

	* inputenc.dtx (section{The ISO Latin-1 encoding}):
	\textonequarter and friends incorrectly declared as math chars.
	(section{Default definitions for characters}):
        Default values moved to own section.
	(section{The ISO Latin-2 encoding}):
        latin2 added. pr/1447.
	(section{The IBM code page 850}):
	cp850 added. pr/1330.

1995-03-22 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx:
	Removed surplus definition of \@gobble. pr/1361

	* ltfiles.dtx:
	Allow blanks within \includeonly argument. pr/1514

	* cmfonts.fdd:
	Fixed typo in OMLcmr. pr/1485

	* syntonly.dtx:
	Removed surplus \typeout lines containing the now undefined commands
	\filedate etc. pr/1471

1995-03-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltoutenc.dtx: add \null to \k for latex/1274 (from patch file)

	* Makefile (cleanupsrc): set date to June 1995

	* ltclass.dtx: Fix filecontents and \DeclareOption
          pr's 1487 and 1498 . (moved from patch file.)

	* ltfinal.dtx: Modify to allow ltpatch.ltx (patch level 0)
        For a full release. To solve problems of initial install picking
	up old patch files.

1995-03-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* makeindx.dtx:
	Changed \see to use \emph as suggested by Mats Dahlgren. 

1995-03-14 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Margins}): Also take the
	\marginparsep into account when calculating the width of the
	margin paragraph.

1995-03-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltlists.dtx: Missing %%% identification.

1995-03-03 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (Defining the page styles): Removed extra dot after
	\thesection in article/twoside/headings case. (PR #1519)

1995-03-02 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* slides.dtx: A slight documentation fix (PR #1517)

	* alltt.dtx: A few documentation fixes (PR #1517)

1995-03-02 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx (section{The implementation}):
	Fixed problem with $...\it\mbox...$ in compat mode. pr/1275

	* latint.dtx:
	Fixed problem with $...\it\mbox...$ in compat mode. pr/1275

	* newlfont.dtx: Corrected bad error message if math alphabet is
	misused. pr/1440

	* lfonts.dtx:
	Corrected bad error message if math alphabet is misused. pr/1440

	* latint.dtx:
	Fixed problem with "\abovewithdelims(\rfloor 1pt"
	pr/1329

1995-02-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latex209.dtx: Fixes for latex/1460 (infinite looping on 2nd
	  \documentstyle command) and latex/1424 (\newcommand{\r}{})
          Also wrap some long lines to 72.

1995-02-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx: patch level 2

	* patches.txt: patch level 2

	* slides.dtx: Modify framebox redefinition for : graphics/1335

1995-02-18 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latexsym.dtx (section{The Implementation}):
	Fixed lhd and friends which are supposed to be binary ops and not
	relations. pr/1459

1995-02-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.el (report-latex-bug): Support transient mark mode
        Also use shell-command so that shell variables are initialised.

1995-02-14 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx : Various documentation changes
	(subsection{Customizing the labels}): Changed the width of the
	labels slightly to prevent LaTeX stuffing two on each line
	(PR #1375)
	
1995-00-31 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Description}): made \descriptionlabel
	a short command (PR #1399)
	* letter.dtx (subsubsection{Description}): made \descriptionlabel
	a short command (PR #1399)

1995-00-27 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* alltt.dtx (section{The Implementation}): Reset \dospecials to
	its original value after the modified version has been
	executed. This is to make \verb?\{}? work inside the altt
	environment (PR 1369)

1995-00-12 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsection{Left equation numbering}): Added
	\normalcolor to defintion of \@eqnnum (PR 1351)

1994-11-17 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltnews02.tex: Edited description of AMS-LaTeX to get everything
        to fit onto one page.

1994-11-16 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* slides.dtx (subsection{Macros for font handling}): Added the
	declaration of the lasy font family.
	Use \newcommand* for commands with arguments instead of
	\newcommand.
	* latexsym.dtx: Removed the former change by outdating the last
	version.

1994-11-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.el: (Matt Swift) Support old emacs (tested with 18.57
        in addition to 19.28)

1994-11-14 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx

        Corrected typo

        * usrguide.tex

        Removed some commands

        * cfgguide.tex

        Tidying

1994-11-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltxguide.cls: add \par to verbatim redefinition.

1994-11-14 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Added braces to \copyright so it works unbraced in
        subscripts. 
        Added \ifmmode check to \@changed@cmd so that redefinitions aren't
        made in math mode (which can also foul up unbraced subscripts).
        Commented out  \textasciicircum,
        \textasciitilde, \textbackslash, \textbar,
        \textgreater, \texthyphenchar, \texthyphen and
        \textless to save memory.

1994-11-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cfgguide.tex: A bit more detail re ltxdoc.cfg.

	* directex.txt: lthyphen.cfg now hyphen.cfg.

	* decustex.txt: lthyphen.cfg now hyphen.cfg.

1994-11-12 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* latexsym.dtx (section{The Implementation}): Introduced the cs
	\@fam@lasy to hold the name of the font family; this will either
	be lasy or llasy, depending on whether the main class is slides or
	not. This new cs is now also used to prevent loading the package
	twice.

	* slides.dtx (subsection{Font changing}): Define \cal and \mit using
	\DeclareRobustCommand 
	(subsubsection{Enumerate}): Handle \labelenumi cs. like in
	classes.dtx; using \theenumi in its definition
	(subsection{Macros for font handling}): Made \familydefault point
	to \sfdefault in slides.def (PR #1020)

1994-11-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.el: Add missing (defvar ltxbug-mail-headers 
        (Matt Swift: latex/1255)

	* ltxguide.cls: Stop \small in verbatim affecting previous para.

	* manifest.txt: cfgguide.

	* ltfloat.dtx: New version from Chris.

1994-11-12 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Tidied up documentation.

1994-11-11 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltfloat.dtx

        * cfgguide.tex

        Major editing

1994-11-11 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsection{Customizing the labels}): Redefined
	\mlabel to use the new \parbox syntax instead of using  the
	\setbox primitive.
	(subsection{Font changing}): Define \cal and \mit using
	\DeclareRobustCommand 
	(subsection{The generic letter commands}): Use
	\let\protect\@unexpandable@protect instead of redefining it.

1994-11-10 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx (section{The implementation}):
	Make arguments to \@fontswitch implicit, needed for \select@group 
	change.
	Use \space command in \text@command directly for comparison.

	* latint.dtx:
	Surround \select@group with {} so that it can be used after _ and ^.

	* fam.dtx (subsection{Macros for loading fonts}):
	Don't define \ifG@defaultsubs via \newif to save macro names

1994-11-10 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dtx: Removed useless catcode setting of ~.
        Made letters active and undefined by default, rather than illegal.
        Added `beta test' message.

        * ltoutenc.dtx: Added documentation for the OML encoding, after
        the last lot got lost by the server...
        Replaced width with \@width in vrules.

1994-11-09 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Captions}): Added the setting of
	\if@minipage to false; floats now set it to true to prevent extra
	white space from appearing when the float starts with a list; this
	affected the spacing around a caption above a centered table.

1994-11-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* cfgguide.tex: Initial draft, Configuration docs.

	* ltbibl.dtx: Allow \bibliographystyle in the preamble.

1994-11-08 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex: \arraynewline RIP.

	* lttab.dtx: Make \tabularnewline work in array.
          \arraynewline deleted.

	* latexbug.el: mention public database.

	* latexbug.tex: Call category 0 LaTeX not base
        Add >Confidential no field to all messages by default.
        Add message about public database to final typeout.
        Compress messages to fit on 25-line screen.

	* usrguide.tex: mention list of packages in LaTeXBook.

1994-11-08 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * bugs.txt: Added pointer to ltxbugs2html.

        * ltoutenc.dtx: Added \null and \sh@ft to \b and \d.

1994-11-07 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx: corrected checksum (PR #1243)

1994-11-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex: Document ltx3pub papers on ctan.
        Other small corrections.

1994-11-07 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * tlb1042.lvt: Rewrote test file to avoid printing out internal
        details of how \ENC-cmd is implemented.

        * tlb0552.lvt: Rewrote test file to do a showbox on $\_$ rather
        than a \tracingall.

1994-11-06 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* fntguide.tex fix dates.

	* clsguide.tex: fix dates.

	* usrguide.tex: fix dates.

1994-11-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx:
	Added <tab> to the ignored chars in \nfss@catcodes. pr/1064
	Use \nfss@catcodes in \DeclareFontEncoding.
	(subsection{Macros for loading fonts}): 
	set \nfss@catcodes locally to \relax in \try@load@fontshape
	so that it isn't executed several times when an .fd file is 
        read in.

	* updated various test files.

1994-11-05 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Add \pause so messages do not scroll off screen.
        Suggested by Rosemary Bailey.

	* lablst.tex: Print labels verbatim, and input packages.
        Fixing problems reported via c.t.t.

1994-11-05 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Added braces round the \ooalign in \textcircled.

        * tlb1233.lvt: Added test file for unbraced \ooalign's.

1994-11-02 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * fontdef.dtx: Commented out \ldots.

        * lfonts.dtx: Commented out \copyright.

        * tlb1214.lvt: Test file for symbols like \pounds.

        * tlb1217.lvt: Test file for \a.

        * ltoutenc.dtx: Fixed a bug with \a.

        * cmfonts.fdd: Added font substitutions for \pounds.

1994-11-01 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx : Made the oneside option work for the book class
	(PR #1195)
	(section{Initial Code}): Moved the allocation of \if@mainmatter to
	this section in order to let it be known when the pagestyles are
	defined. The switch is used there and needs to be known then;
	otherwise TeX finds the wrong \fi in an \if@twoside...\else...\fi
	construct. 
	(subsection{Font changing}): Define \cal and \mit using
	\DeclareRobustCommand 
	(the driver): use \newcommand* for shorthands with argument
	(whole file): Use \newcommand* for commands with arguments

1994-11-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: lthyphen.ltx|cfg now hyphen.ltx|cfg

	* ltfinal.dtx: lthyphen.ltx|cfg now hyphen.ltx|cfg

	* lthyphen.dtx: lthyphen.ltx|cfg now hyphen.ltx|cfg

	* texpert.txt: Document ltxcheck font checks.
        lthyphen.cfg now (or soon will be) hyphen.cfg

	* ltplain.dtx: remove some {oldcomments} and other tidying up.

1994-10-30 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Chapters}): Made chapter titles more
	robust against pagebreaks in the middle of them. Added an extra
	\nobreak and a \interlinepenalty\@M to \@makechapterhead and
	\@makeschapterhead (PR #1016, #1135)

1994-10-30 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx: Use new \@dofilelist.

	* ltmiscen.dtx: Add new \@dofilelist to \enddocument
        Move some of the warnings in \enddocument out of \if@filesw.

	* Makefile (TEXTS): add latexbug.el

	* unpack2e.ins: add pict2e and graphpap.

1994-10-30 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * fam.dtx: Set \FOO-cmd to \@current@cmd rather than \relax when
        entering encoding FOO.

        * ltoutenc.dtx: Made text commands expand (almost) entirely in the
        mouth. 

1994-10-28 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltcntrl.dtx: Doc improvements.

1994-10-28 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltdefns.dtx: Corrected \changes entries.

        * ltfiles.dtx: Corrected \changes entries.

        * lterror.dtx: Corrected \changes entries.

        * ltxref.dtx: Corrected \changes entries.

        * ltsect.dtx: Corrected \changes entries.

        * ltidxglo.dtx: Corrected \changes entries.

        * lttab.dtx: Corrected \changes entries (wrong format).

        * ltoutenc.dtx: Added new definitions of \b, \c and \d.
        Fixed bug with accents on commands which aren't allowed in
        \csname. 

        * inputenc.dtx: Moved a docstrip option to it's correct home.

        * latex209.dtx: Added hacks for space around floats.

        * tlb1184.lvt: Added check file for default accent and symbol
        definitions. 

1994-10-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx: Comment out lots of now obsolete code.

	* source2e.tex: Add source2e.ist, and other small improvements.

1994-10-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* unpack2e.dst: Correct the preamble written to generated files.

	* ltdefns.dtx: modify \newenvironment so that a graf environment
        is not allowed (Piet van Oostrum latex/1037). Previous attemt
        to do this removed...

1994-10-23 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: typos.. (Ulrik Vieth)

	* usrguide.tex: Small updates, and typos. Add xr.sty.

	* latexbug.el: Make completion case insensitive.

	* latexbug.tex: Prompt for >Class if no test file given.

1994-10-22 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* clsguide.tex: typo in decls argument.

	* latint.dtx: wrap long lines.

	* source2e.tex: Make frontmatter \pagenumbering{roman}
          So can be processed with only 2 latex runs. (Ulrik Vieth)
          Add lthyphen.dtx.

1994-10-22 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * tlb0574.lvt: Added check file for empyt accents and accents in
        tocs. 

        * ltoutenc.dtx: Fixed `empty accent' bug.

        * inputenc.dtx: Fixed typo A1 -> A0.

1994-10-21 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Fixed \dots so that it has no extra space in a
        monowidth font.
        Corrected typo in the definition of \mathunderscore.

        * inputenc.dtx: Added \textregistered.
        Added "A0 (nbs) to Latin-1.

1994-10-20 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltfloat.dtx

        * ltoutput.dtx

        * ltxguide.cls

        Tidied formatting

        * patches.txt

        Updated

        * bugs.txt

        Updated

        * install.txt

        Updated

        * template.txt

        Updated

        * texpert.txt

        Updated

        * usrguide.tex

        Major update

        * clsguide.tex

        Major update

        * fntguide.tex

        Major update

1994-10-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx: reallow 8-bit input.

	* ltboxes.dtx: Add \color@vbox

	* tracefnt.dtx: \next renamed to \reserved@f

	* fam.dtx: \next renamed to \reserved@f

	* latint.dtx: use \expandafter instead of \next in 
          \DeclareMathDelimiter.

	* ltplain.dtx: Remove \pt, now defined elsewhere.

	* ltmath.dtx Use \expandafter trick instead of \next
        in a' \phantom and \smash. Colour support to \phantom and \smash

1994-10-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx: remove \phantom (now in ltmath)

	* fam.dtx: Replace \@tempa by \reserved@a.

	* latint.dtx: Replace \@tempa by \reserved@a.

	* ltboxes.dtx: Replace \@tempa by \reserved@a.

	* ltclass.dtx: Replace \@tempa by \reserved@a.

	* ltcntlen.dtx: Replace \@tempa by \reserved@a.

	* ltcntrl.dtx: Replace \@tempa by \reserved@a.

	* ltdefns.dtx: Replace \@tempa by \reserved@a.

	* ltdirchk.dtx: Replace \@tempa by \reserved@a.

	* lterror.dtx: Replace \@tempa by \reserved@a.

	* ltfiles.dtx: Replace \@tempa by \reserved@a.

	* ltfinal.dtx: Replace \@tempa by \reserved@a.

	* ltfloat.dtx: Replace \@tempa by \reserved@a.

	* ltfntcmd.dtx: Replace \@tempa by \reserved@a.

	* ltmath.dtx: Replace \@tempa by \reserved@a.

	* ltmiscen.dtx: Replace \@tempa by \reserved@a.

	* ltoutenc.dtx: Replace \@tempa by \reserved@a.

	* ltoutput.dtx: Replace \@tempa by \reserved@a.

	* ltpictur.dtx: Replace \@tempa by \reserved@a.

	* ltsect.dtx: Replace \@tempa by \reserved@a.

	* lttab.dtx: Replace \@tempa by \reserved@a.

	* tracefnt.dtx: Replace \@tempa by \reserved@a.

1994-10-16 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx

        Restored 2e logo

1994-10-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx: Remove \{ and \}

1994-10-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ifthen.dtx: Use \@unexpandable@protect and modify
          \@setref to fix bug /946 (/1023) \pageref breaking tests.

1994-10-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx: Add \tabularnewline and \arraynewline.

	* ltspace.dtx: Make \\ robust 

1994-10-12 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltmiscen.dtx

        Tidied \endtrivlists
        
        * ltspace.dtx

        Attempted to improve error messages
        
        * ltfntcmd.dtx

        Added line-break to error message

        * lablst.tex

        Simpler with better layout

1994-10-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx: replace sfcode settings. Remove \dag and friends.

1994-10-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* makeindx.dtx: remove spurious \wlog.

1994-10-10 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltbibl.dtx

        Patched \nocite{*}

        * ltplain.dtx

1994-10-10 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsection{Flush left equations}): Added the value
	of \parskip to \abovedisplayskip to compensate for negative
	\topsep settings. (PR #881)
	(subsection{Single or double sided printing}): removed typo (PR
	#881) 

	* slides.dtx (subsection{Font changing}): Removed two typos

1994-10-10 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: use new definition of \loop

	* ltoutput.dtx: modify \protect setting.

	* newlfont.dtx: modify \ProvidesFile usage.

	* oldlfont.dtx: modify \ProvidesFile usage.

1994-10-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lthyphen.dtx: Use \ProvidesFile.

	* lfonts.dtx: Use \ProvidesFile.

	* setsize.dtx: RIP

	* fam.dtx: Add definitions of \@vpt (from setsize.dtx).

	* fontdef.dtx: Add \DeclareMathSizes (from setsize.dtx).

	* Makefile: Generate new release date 1994/12/01
          Remove setfile.dtx from generation of ltfss.dtx

	* ltpatch.ltx: Change to patch 1994/12/01 release.

	* ltboxes.dtx: More colour changes.
	Fix \@finalstrut (from ltpatch).

	* source2e.tex: Move ltoutenc. Add fontdef and preload.

1994-10-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx: Use GetFileInfo style doc header.

	* preload.dtx: Use GetFileInfo style doc header.

	* ltdefns.dtx: Move \newwrite's to ltfiles.

	* ltfiles.dtx: Move \newwrite's here from ltdefns. Remove
	  duplcate decalaration of \@mainaux.

1994-10-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx:
	Added braces again that have been incorrectly removed.

	* test files:
	Updated a large number of test files that had changed
	due to protect handling changes and bug fix in font selection.

	* oldlfont.dtx: 
	Test for \protect being \@typeset@protect in \@setfontsize.

	* newlfont.dtx: 
	Test for \protect being \@typeset@protect in \@setfontsize.

	* lfonts.dtx:
	Test for \protect being \@typeset@protect in \@setfontsize.

	* exscale.dtx:
	Renamed \every@size to \every@math@size.
	Update \big@size globally (new \every@math@size concept).
	
	* ltfiles.dtx:
	Renamed \every@size to \every@math@size.

	* fam.dtx:
	Renamed \every@size to \every@math@size.
	Allow several encoding changes before running \selectfont. pr/1042

	* tracefnt.dtx (section{Scaled font extraction}):
	Changed the font size substitution to really select 
	  the nearest size available. pr/747
	Fixed incorrect size selection if math fonts are not set up. pr/848
	Start cleaning up documentation.
	Fix bug that produced extra "No math setup"  message if 
	  tracefont was loaded with default options.

        Patched \loop
        
1994-10-05 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltfloat.dtx (subsection{Floating Environments}):

        Introduced \color@hbox
        Changed colour resetting for footnotes (again)
        Introduced a simulacrum of compatibility to old \@xfloat
        Changed float setup

        * ltboxes.dtx (section{\LaTeX\ Box commands}):

        Introduced \color@hbox
        Changed colour resetting for minipage footnotes
        Added to documentation

        * ltoutput.dtx (subsection{Floats}):

        Introduced \color@hbox
        New style protect settings in shipout
        Tidied shipout and added to documentation
        Added begindvi stuff

1994-10-05 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Added setting of \@typeset@protect to \patterns
        and \hyphenation.

        * ltnews02.tex: First draft.

1994-10-04 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltfloat.dtx: Added \protected@xdef to \footnote, \@footnotetext,
        and \footnotemark.

        * ltoutenc.dtx: Added \_.

        * ltpage.dtx: Added \@unexpandable@protect to \markboth and
        \markright. 

        * lttab.dtx: Added \set@typeset@protect to \@array and
        \multicolumn. 
        Added \@unexpandable@protect to \@mkpream.

        * ltboxes.dtx: Added \protected@edef to \@mpfootnotetext.

        * ltidxglo.dtx: Added \protected@write to \index and \glossary.
        Removed \if@filesw from \makeindex and \makeglossary.

        * ltsect.dtx: Added \protected@write to \addtocontents and
        \addcontentsline. 
        Added \protected@edef to \@sect.
        Added \protected@xdef to \thanks.

        * ltxref.dtx: Added \protected@write to \label.
        Added \protected@edef to \refstepcounter.

        * ltmiscen.dtx: Removed setting of \protect from \@writefile.

        * lterror.dtx: Added \set@display@protect to messages.

        * ltfiles.dtx: Added \protected@write and a new definition of
        \nofiles. 

        * ltdefns.dtx: Added \x@protect and a new mechanism for protecting
        short commands.
        Added commands for safely performing edefs.
        Added \set@display@protect to \typeout

1994-10-03 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: Check that latex.ltx is used with an initex with
          no format preloaded. (VMS initex defaults to loading 
          plain.fmt)

	* ltdefns.dtx: rename \long@def to \l@ngrel@x

	* ltclass.dtx: move \@missingfileerror to ltfiles.

	* ltfiles.dtx: add \@missingfileerror

1994-10-02 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.el 2nd attempt.

	* latexbug.tex: more alterations to work with .el file.

1994-10-02 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Wrapped long lines.

1994-09-31 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Add line count to discourage large test files.

1994-09-31 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * Makefile: Added inputenc.dst and ltoutenc.dst, and inputenc.dtx.

        * fontdef.dtx: Added OMLenc.def.

        * unpack2e.ins: Added inputenc.ins.

        * unpacked.txt: Added inputenc.sty, font encoding and input
        encoding files. 

        * fntguide.tex: Added documentation on the new text declaration
        commands. 

        * usrguide.tex: Added documentation on the new text commands.

1994-09-30 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * ltfloat.dtx (subsection{Floating Environments}): 

        In float handling:
          major changes to parameter parsing, setting of local
          variables, etc;
          two-column and one-column cases merged; space hacks moved;
          colour support improved and corrected, including extra boxes.
        In marginpars:
          colour support improved and corrected, including extra boxes.
        In footnotes:
          colour support improved.

        * ltoutput.dtx (subsection{Floats}):

        Small changes to documentation
        Added colour support to \@topnewpage
        Added colour support for footnotes to \@makecol
        Added warning to \@fpsadddefault
        
        * ltdefns.dtx (subsection{Internal defining commands}):

        Added \@onelevel@sanitize 

1994-09-30 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * cmfonts.dst: Added OMScmnr and OMLcmr.

        * cmfonts.fdd: Added OMScmr and OMLcmr.

        * ltxguide.cls: Added \NEWdescription, \NEWfeature and the
        optional argument to desc.

        * ltoutenc.dst: Added OMLenc.def.

        * ltoutenc.dtx:  added encoding-specific commands from ltmath.
          Added OML encoding.
          Added \textcircled and removed \textregistered.
          Added \DeclareTextCompositeCommand.
          Added \t.

        * ltmath.dtx: Removed encoding-specific commands to ltoutenc.

1994-09-29 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* Makefile: Added the alltt package.

	* alltt.dtx (section{The Implementation}): Added a missing
	\dospecials in the alltt environment code.

	* classes.dtx (section{Cross Referencing}): Fixed a typo in the
	documentation of \@tocrmarg. (PR #904)

1994-09-29 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* Makefile (INSTS): 
	Added ltoutenc.ins.

	* manifest.txt: 
	Added ltoutenc.ins.

1994-09-29 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * fontsmpl.dtx: Added tests for \copyright, \dots and
        \textregistered. 

        * ltmath.dtx: Added \mathellipsis, \mathparagraph, etc.
        Removed all of the oldcomments and generally tidied up.
        Added \DeclareMathOperator.

        * ltoutenc.dtx: Added copyright and textregistered.
        Renamed the text versions of \P, \S, etc. to \textparagraph,
        \textsection, etc.
        Added the definitions of \dots etc. which work in math and text.

1994-09-28 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx:
	Added a numer of \noexpand's to \err@rel@i. pr/1088

1994-09-28 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * unpack2e.ins: Added OMSenc.def.

        * fontsmpl.dtx: Added the text commands defined in ltoutenc.dtx.

        * asajtest.ins: An installation file for asajtest.dtx.

        * asajtest.tex: A test file for ltoutenc.dtx.  This should become
        part of the test suite eventually.

        * asajtest.dtx: This is a scratch version of ltoutenc.dtx.
        Rewrote the enc.def files to use the new default settings.

1994-09-27 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.el: First attempt at emacs interface.

1994-09-27 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Removed loading of enc.def files.

        * fontdef.dtx: Added OMSenc.def.

        * ltoutenc.dst: Added OMSenc.def.

1994-09-26 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: Add ltmath.

1994-09-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdefns.dtx: Add documentation of star form of \newcommand. 
        Remove all `oldcomments' environments.
        Add lots of `macro' environments.

	* ltboxes.dtx: missing % in \@isavepicbox (was in ltpatch.ltx)

1994-09-25 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Added default encodings.
        Added \ProvideTextCommand and \ProvideTextCommandDefault.
        Added the OMS encoding.

1994-09-24 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltmath.dtx:

        Removed a TAB

1994-09-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: Add inner braces to fbox to keep inner settings
	  of \fboxsep local (latex/1061)

1994-09-23 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltmath.dtx:

        Added \normalcolor to \@eqnnum
        Removed braces from \ensuremath

1994-09-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: Modify pkgindoc because of Tuesday's change.

1994-09-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: 
	Put \changes cmd behind % :-)

1994-09-20 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dtx: Split characters into text-only and math-only.
        Reded some of the \providecommand's in latin1.def.

        * latex209.dtx: Corrected a typo---\mark{}{} should have been
        \mark{{}{}}. 

1994-09-19 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx:
	Added missing \relax to \DeclareFontEncoding so the args can
	contain newlines. pr/1026

1994-09-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdefns.dtx: Add *-forms to define non-long variants of
          commands.
          Add extra check so \newenvironment{graf} generates an error.

	* ltfiles.dtx: move \listfiles and \@addtofilelist here.

	* ltclass.dtx: move \listfiles and \@addtofilelist to ltfiles.

1994-09-17 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Added empty initial mark.
        New method of switching off 2e commands.
        Allow \newcommand on 2e commands.

1994-09-16 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltsect.dtx:

        Added \normalcolor to page-numbers in toc

	* ltfntcmd.dtx:

        Tidying, and typos fixed in documentation
        Added check for empty text
        Removed space from \nfss@text
        Renamed \check@nocorr to \text@command:
          to improve error messages

	* ltboxes.dtx (section{\LaTeX\ Box commands}):

	Added \long to \fbox, \mbox, \sbox (from ltpatch)
	\leavevmode corrected for frame boxes (from ltpatch)
        \@parboxto macro added to \@iiiparbox,
	  to remove misuse of \@empty

1994-09-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: stop expansion occurring on synopsis and other
	  fields.

1994-09-16 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* nfssfont.dtx:
	Change \end to \stop in help message. pr/615

1994-09-15 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx: 
	Warn, if math alphabet is used outside math (from patch)

	* fontdef.dtx (subsubsection{The log-like functions}):
	Somehow lost \operator@font while moving code.

	* ltmath.dtx:
	Comment out definition of \, is defined earlier as robust

	* fam.dtx:
	Added [ and ] to the reset macro for .fd file loading pr/872

1994-09-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Add latexbug.cfg system, so that personal
          details do not need to be entered every time.

1994-09-14 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx:
	Separate text font and math font setup. Added a lot of math
	font setup stuff from other files.

	* ltmath.dtx: 
	File added to the distribution.

	* manifest.txt:
	Added new files.

	* ltmiscen.dtx:
	Moved math enviornments to ltmath.dtx

	* unpack2e.ins:
	Added fontmath.ltx and fonttext.ltx generation,
	removed fontdef.ltx generation,

	* doc.dtx (subsection{Macros for generating index entries}):
	Added missing percent and use \ttfamily not \texttt

1994-09-13 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx (section{Plain \TeX}):
	Moved math code to ltmath.dtx.
	Removed old code that was commented out long time ago.

	* lfonts.dtx: 
	Moved log-like functions to ltmath.dtx.
	Removed the unnecessary refernce to \tenex.

1994-09-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Add more GNATS fields.

	* ltsect.dtx: remove < > from a \changes entry (upset makeindex)

1994-09-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: Redo ltxcheck: more friendly messages, check
          for TeX3.14, and missing fonts.
          Add automatic detection of TeX3.14 (previously in ltpatch.ltx)

	* latexbug.tex: Modify to prompt for synopsis information.

1994-09-07 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * pastex.txt: Installation guide for PasTeX on the Amiga.

        * ltoutenc.dtx: Moved ogonek accent.

1994-08-26 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* idx.tex: 
	Add missing brace in \setlength. pr/589

1994-08-25 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latexsym.dtx (subsection{\LaTeX{} symbols fonts}):
	Use silent substitution for the bold lasy fonts below 10pt

1994-08-23 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: Fix \newcount typo (which caused `4pt' to appear
	  in the change log and index)

	* manifest.txt: added pctex.txt

	* Makefile (TEXTS): added pctex.txt

	* pctex.txt: New version from PCI

1994-08-23 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx: 
	patch for pr872 ([] with catcode active)

1994-08-23 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Added spaces to \@halfmag and friends.

        * ltxguide.cls: Replaced \PassOptionsToPackage{article} by
          \PassOptionsToClass{article}.

1994-08-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: add graphpap.{ins|dtx}

	* Makefile: add graphpap.{dst|ins|dtx}

	* manifest.txt: Add textures.txt, pict2e.{ins|dtx}

	* Makefile: Add textures.txt, pict2e.{dst|ins|dtx}

	* pict2e.dtx: Wrote pict2e.dtx (It just generates an error
	  message, saying the package has not been written)

1994-08-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Modify printing of \everyjob so babel formats
	  work correctly.

1994-08-04 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dtx: Added \cs{DeclareInputComposite} and the
          \cs{ProvidesCommand}s to the encoding files.
          Removed the definition of the accent slots in Latin-1.

1994-07-31 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * oztex.txt: Checked in revised version from Andrew.

1994-07-30 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * yandytex.txt: Checked in revised version from Berthold.

1994-07-26 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* slides.dtx (subsection{Font changing}): changed documentation to
	mention \DeclareOldFontCommand instead of @renewfontswitch (PR #812)

	* letter.dtx (section{The documentation driver file}): added
	missing comma in a \DoNotIndex entry (PR #857)
	(subsection{Setting Paper Sizes}): Added the landscape option,
	because Leslie Lamport wants to make landscape letters.

1994-07-24 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * tlb0143.lvt, tlb0162.lvt, tlb0380.lvt, tlb0498.lvt, tlb0642.lvt,
        tlb0830.lvt: Checked in.

1994-07-09 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* graphpap.dtx: add \leavevmode to \graphpaper.

	* textures.txt: Added file. Mainly written by Blue Sky Research.

1994-06-28 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx: Correct Checksum.

1994-06-27 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltnews.cls: Replaced \PassOptionToClass by \PassOptionsToClass. 

1994-06-25 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * microtex.txt: Removed extraneous \dump.

1994-06-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Add definition of \@secondoftwo, so latexbug
	  may once again be used with initex.

1994-06-18 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * microtex.txt: Added installation guide for MicroTeX.

1994-06-14 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * inputenc.dtx: Replaced \Dh by \DH and \Th by \TH. 
        Added \ensuremath to the math commands.
        Added \inputencoding.

1994-06-13 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Margins}): Moved the rounding of
	\topmargin into native mode only (PR #93)

	* letter.dtx (subsubsection{The dimension of text}): The setting
	of \textwidth and \textheight to a fixed value should only happen
	in comnpatibility mode. (PR #714)
	(subsubsection{Margins}): Added fixed values for \oddsidemargin,
	\evensidemargin and \marginparwidth to compatibility mode

1994-06-13 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* patches.txt:
	Added description for additional patches.

	* ltpatch.ltx: 
	Added patches for:
	  \ensuremath
	  \LaTeXe not allowed in compat mode (exception)

	* usrguide.tex (subsection{Ensuring math mode}):
	Corrected the description of \ensuremath so that it really does nothing
	other than producing its argument in math mode.

	* cmfonts.fdd:
	Added additional font shapes for Concrete Roman Fonts

1994-06-13 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * fontsmpl.dtx: Added an \upshape.

1994-06-11 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsubsection{Itemize}): \labelitemiii was
	mistakenly called \labelitemiiii (bug report # 711)

1994-06-05 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx: added patch for latex/667, minipage and \parbox
	  failing if used with height argument before math setup.

1994-06-05 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx:
	Added patches for:
	  empty p-column problem
	  figure* with color package problem
	  \^{\i} in toc problem (T1 encoding)

	* patches.txt:
	Added description for additional patches.

1994-06-03 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx:
	Extended patch for T1+german so that composite chars are used instead of
	accents

1994-06-02 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx: 
	Added patches for:
           \mathit in text mode
           \loop could do one iteration too much in certain situations
           T1 breaks german 2.4a (this is a german.sty problem actually)

	* patches.txt: 
	Added descritions of further patch level 3 patches.
	

1994-05-30 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * fntguide.tex

	Warning about enc.def commands added
	Stuff on font definition files and encoding definition files
	changed
        <cdp> removed, for consistency, use <encoding> throughout
        Small edits
	
        * clsguide.tex

	Michael's amendments added

1994-05-26 Chris Rowley <latex-bugs@Uni-Mainz.DE>

        * usrguide.tex

	Minor edits
	
        * clsguide.tex

	Added stuff
	Changed usage of <>
	Reordered update stuff
	Added Summary sheet
        Removed draft status
	
        * ltxguide.cls

1994-05-23 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsection{Global Declarations}): Removed a typo
	(#[] instead of [1])
	Ran letter.dtx through ispell.

1994-05-23 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* patches.txt: 
	Added descritions of patch level 3 patches.

	* ltpatch.ltx:
	Added patches for:
	  inefficient text encoding handling
	   \"\i problem
	   \"{} problem
	   \dag \ddag \P \S lost sometimes
	   \t problem
	   \test..{} problem

	Changed usage of <>
        Changed definition of verbatim
	
1994-05-22 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx (section{The implementation}):

	Removed space from \DeclareTextCommand
	Improved error messages from \DeclareTextCommand
        
        * usrguide.tex

	Changed usage of <>
	
        * clsguide.tex

	Added stuff
	Changed usage of <>
	Rationalised encoding stuff

        * fntguide.tex

	Rationalised usage of cdp, ENC, encoding
	Changed usage of <>
	Fixed overfull box and long lines

1994-05-22 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsection{Flush left equations}): Defer the
	setting of \mathindent to the end of the class instead of to
	\begin{document}. This way it is possible for packages to change
	its value (fixes bug report #577)
	Refrased a few sentences to prevent overfull hbox messages.

1994-05-19 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex

        Added stuff on project, money etc. 

	* fntguide.tex

        Corrcted largesymbols stuff.

        * clsguide.tex

	Major revision and additons.
        Spell checked.
        Removed \typeouts.
        Removed overfull boxes.

	* ltfntcmd.dtx:

	Experimental fixes to \nocorr stuff.

1994-05-17 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsubsection{Defining the page styles}): Added a
	missing closing brace. Made a lot of small changes to the
	documentation. 

1994-05-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* update.ins: modify for new distribution `ins' files.

1994-05-12 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* template.txt

        Changed 2e to new.

	* fntguide.tex

        Tidying.

        * directex.txt

        Corrected layout.

1994-05-12 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* Makefile: Split distrib directory into distrib/base and
	distrib/unpacked.

	* ltpatch.dtx: Don't set catcodes of upper 128 characters in
 	TeX2.

	* manifest.txt: Added directex.txt.

	* Makefile (TEXTS): Added directex.txt.

1994-05-11 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex

	Typography of tools list changed.
	Added typeouts.
	Added letter to list of standard packages.
	Removed these typeouts:
	  \typeout{CONTENTS OF THE TOOLS BUNDLE: needs checking}
	  \typeout{Marion said: Perhaps the different uses of
            `newcommand and `providecommand can be shown a bit clearer}
	  \typeout{List of stuff in mfnfss, psnfss, babel not done}
      
	* fntguide.tex

        Editorial changes.
        Removed duplicated text.
        Removed unwanted blank lines.

	* emtex.txt

        Added section on memory problems.

        * directex.txt

        New file added.

        * install.txt

        Added new file to list.

        * readme.txt

        Editorial changes.
        Added patches.txt, etc.

	* patches.txt

        Editorial changes.
        Removed references to lists.
	Documented lack of lists.

	* ltfntcmd.dtx

        Corrected documentation, title etc.
        Corrected dates in changes entries.

1994-05-11 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* patches.txt: 
	Added descritions of patch level 2 patches.

	* ltpatch.ltx:
	Added patches for:
	  8bit chars problem
	  \nocite{*} problem
	  \_ in math mode (T1 encoding)

	* added tests for problem 549, 554, 557.
	

1994-05-10 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: Added ltpatch.ltx and patches.txt. 

	* ltfinal.dtx (subsection{Input encoding}): Do not set codes for
	higher half of character table for TeX2.

1994-05-09 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* Makefile (LATEXS): Added ltpatch.ltx.

1994-05-09 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx (subsection{Bells and whistles}):
	Use new definitions for footnote macros within \maketitle.
	Otherwise \thanks entries will overprint.

	* docstrip.dtx:
	Corrected typo in documentation

1994-05-08 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpatch.ltx: New file fixing bugs in the major release.

	* ltfinal.dtx: Add new feature input ltpatch.ltx if the file
	  exists.

	* latexbug.tex: Add babel.
	Use \everyjob to print format info (for new patch system)

1994-05-06 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: Fix bug introduced last week. Add \leavevmode to
	  \fbox, and make \long. At the same time make \sbox and \mbox
	  \long even though they were not \long in 2.09.

1994-05-06 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* Makefile.dist: Changed mv to cp, added installation of *.ist
        files, added target `clean'.

	* manifest.txt: Changed name of distributed Makefile from
 	Makefile to Makefile.unx.

	* Makefile: Changed name of distributed Makefile from Makefile
 	to Makefile.unx.

1994-05-03 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex

	Changed preamble.
      
	* fntguide.tex

	Changed preamble.

	* clsguide.tex

	Changed preamble.

1994-05-02 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (section{Identification}): Fixed bug in the driver,
	the line with \ProvidesFile was not seen by LaTeX
	(section{A driver for this document}): rearranged the \DoNotIndex
	stuff

1994-05-02 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* copyright.txt and others: Changed copyright message.

1994-05-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: Modify \framebox and \fbox so \width in the
	  optional argument of \framebox refers to the natural width
	  of the text,

	* latexbug.tex: add amslatex category.

	* ltlogos.dtx: add $\m@th$ to \LaTeX to force math size
	  calculations.

1994-05-01 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* letter.dtx: Corrected driver code.

	* slides.dtx: Added definition of \SLiTeX.

	* Makefile: Don't add extra copyright headers to *.txt and *.err
	files.

1994-05-01 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fntguide.tex:
	Added description of \DeclareTextFontCommand.
	Small updates and changes.

	* clsguide.tex:
	Updates and corrections.

	* latint.dtx:
	Corrected help info for \newmathalphabet error
	in compat mode.

	* fntguide.tex:
	Several small updates.

1994-05-01 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltnews01.tex: Corrected grammar.

1994-04-31 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx:

	Removed overfull boxes.

1994-04-31 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Switch to new latex-bugs@uni-mainz.de
	  address.

1994-04-31 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* Makefile: Added clsguide.tex, fntguide.tex, usrguide.tex,
	ltnews01.tex, ltxguide.cls, ltnews.cls.

	* ltfinal.dtx: Renamed lthyphen.* to lthyphen.*.

	* unpacked.txt: Renamed lthyphen.* to lthyphen.*.

	* unpack2e.ins: Renamed lthyphen.* to lthyphen.*.

	* manifest.txt: Renamed lthyphen.dtx to lthyphen.dtx, added
	clsguide.tex, fntguide.tex, usrguide.tex, ltnews01.tex,
	ltxguide.cls, ltnews.cls, ltnews01.ps, manual.err, compan.err.

1994-04-31 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Added SLiTeX logo again.

        * ltnews01.tex: Finished off.

        * ltnews.cls:  Added downloaded PS fonts options.  
        Removed angle brackets from <...> since these were the last
        remaining bitmaps!  
        Added variants of the LaTeX logo.  
        Added the ltnews.cfg file. 

1994-04-30 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* texpert.txt: Added the section about configuring hyphenation.

1994-04-30 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* latexbug.tex: Add interactive request for a `category'
	Also add non-interactive field showing \@TeXversion.

1994-04-30 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: Moved pandora, oldgerm, amsfonts, euscript,
	eufrak from main distribution to extra package directory..

	* unpacked.txt: Moved pandora, oldgerm, amsfonts, euscript,
	eufrak from main distribution to extra package directory..

	* manifest.txt: Moved pandora, oldgerm, amsfonts, euscript,
 	eufrak from main distribution to extra package directory.
 	Removed features.tex from distribution.

1994-04-30 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fntguide.tex:
	Several updates and additions.

1994-04-30 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * usrguide.tex: Removed the description of mfnfss and tools 
           packages.
        Removed sections that were commented out.  
        Removed typeouts.
        Wrapped long lines.
        Rewrote to remove overfull hboxes.
        Moved the stuff on \newmathalphabet to the section on LaTeX 
           errors.
        Rewrote the stuff on latex209.cfg, and replaced 
           \PassOptionsToClass (which requires you to list all the 
           known classes) with \ds@oldlfont.
        Added the `LaTeX2e command in LaTeX 2.09 document' error.
        Added the SLiTeX logo to the list of unsupported commands.
        Added the full list of \text..., \...family, \...series, \...shape 
           and \math... commands.

1994-04-29 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Captions}): Make \@makecaption colour
	safe by using \sbox\@tempboxa rather than \setbox\@temboxa\hbox.

1994-04-29 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex:
	Small general updates.
	Rewrote section on compatibility.

	* Makefile:
	Removed vmstex.txt and textures.txt since currently empty.

	* copyins.txt: 
	Removed prelim message, say that files are mentioned in
	manifest.txt.

	* copyright.txt:
	Removed prelim message, say that files are mentioned in
	manifest.txt.

	* manifest.txt:
	Removed vmstex.txt and textures.txt since currently empty.

1994-04-29 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltxguide.cls: Added italic correction to <...>.
        Added \sourcecode.

        * fntguide.tex: Corrected typos spotted by FMi.
        Added the `math selection commands' section.
        Replaced the notion of math font attributes with a description 
           closer to that in the Companion.
        Moved stuff on declaring encodings into its own section
        Moved stuff on font installation into its own section.
        Moved stuff on initialization into its own section.
        Moved stuff on naming conventions into its own section.
        Moved DeclareFixedFont into text font selection.
        Added text to the introduction.
        Moved all of the enc.def file commands into one subsection.
        Moved everything that's left without a home into the `miscellania' 
           section.
        Generally tidied up.

1994-04-28 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltxguide.cls: Made << and >> produce < and > inside verbatim.  
        Added ltxguide.cfg.
    
        * fntguide.tex: Created file out of features.tex.
        Redid document structure to fit with usrguide and clsguide.
        Removed stuff on old style digits.
        Moved text font stuff before math font stuff.
        Removed `utilities' section.
        Removed the author font commands (covered by usrguide).
        Added description of the text font attributes.
        Redid the description of the \f@... commands.
        Redid the description of the \...default commands.
        Added the section on the \DeclareTextWidget commands.
        Added the section on math attributes.

1994-04-27 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* proc.dtx (section{Implementation}): Added a missiing docstrip
	guard. 

	* classes.dtx: Moved the identification and driver sections to
	the beginning of the file.
	(subsubsection{Table of Contents}): Wrapped a long line

	* letter.dtx: Added \CharacterTable
	Moved identification and driver to the front of the file.
	Removed references to the book class from the documentation

1994-04-27 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltxdoc.dtx: Use sequence a,..,z,A,..,Z not aa,..az,ba,..,bz
	  As Makeindex is not keen on the latter.

	* source2e.tex: Modify printing of line numbers in index,

	* ifthen.dtx: Use new style error commands.

	* ltboxes.dtx: Add some more names in \author, so I don't get
	  all the blame.

1994-04-27 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* tlb0438.tlg: Line number change in exscale package.

	* Makefile: Renamed unpack2e.ins to unpack.ins and latex2e.ltx
 	to latex.ltx, renamed format file to latex.fmt. Added test
 	tlb0483.

	* manifest.txt: Renamed unpack2e.ins to unpack.ins and
 	latex2e.ltx to latex.ltx, rearranged a few lines.

	* unpack2e.ins: Renamed unpack2e.ins to unpack.ins and
 	latex2e.ltx to latex.ltx.

	* unpacked.txt: Renamed unpack2e.ins to unpack.ins and
 	latex2e.ltx to latex.ltx.

	* tracefnt.dtx: Changed copyright line.

	* pandora.dtx: Updated for new driver format, changed \wlog to
	\ProvidesFile and \ProvidesPackage.

	* oldgerm.dtx: Updated for new driver format, changed \wlog to
	\ProvidesFile and \ProvidesPackage.

	* oldgerm.dst: Changed copyright line, removed generation of
	documentation driver.

	* pandora.dst: Changed copyright line, removed generation of
	documentation driver.

	* latexsym.dst: Changed copyright line.

	* amsfonts.dst: Changed copyright line.

	* latexsym.dtx: Added \ProvidesPackage and \ProvidesFile
	declaration.

	* euscript.dtx: Corrected \ProvidesPackage declaration.

	* vtl2e02.tlg: Removed test for \SLiTeX command.

	* vtl2e02.lvt: Removed test for \SLiTeX command.

1994-04-27 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltnews01.tex: Corrected filenames of usrguie and clsguide.
        Removed ltnews.cls from filecontents.

        * ltnews.cls: Checked this in.  Added angle brackets to <...>.
        Added AMS and SliTeX logos.

        * latex209.dtx: Added SliTeX logo.

        * ltxguide.cls: Added SliTeX logo.

1994-04-26 Johannes Braams <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsection{Single or double sided printing}):
	wrapped a long line.

	* slides.dtx: 
	(subsection{The class code}): Use \input instead of \@@input. This
	way it also works when \input@path is being used. Also changed
	\IfFileExists to \InputIfFileExists for the same reason

	* slides.dtx: Wrapped two long lines
	Moved the identification and driver to the front of the file.

	* proc.dtx (subsection{Identification}):
	The second argument to \cmd\ProvidesFile wasn't closed in the
	driver and the style file

	* ifthen.dtx: Wrapped a long line
	Added a \ProvidesFile command to the driver
	Added \CharacterTable

	* proc.dtx:
	Added \CharacterTable
	Changed some \changes entries to have a 'v' in front of the
	version  number.
	Moved the identification and driver sections to the front of the
	file in order to make \GetFileInfo work.
	(subsection{Identification}):
	Removed \cmd\typeout from .sty file; changed description
	(subsection{The page style}):
	Changed \rm to \normalfont\rmfamily in the definition of
	\@oddfoot. 

1994-04-26 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltlogos.dtx: remove \SLiTeX.

	* ltsect.dtx: Add initial documentation section. 

	* ltfloat.dtx: Add initial documentation section. 

	* ltclass.dtx: Modify format of \@missingfileerror message.

	* ltmiscen.dtx: remove \literal.

	* ltxdoc.dtx: Add silent substitution for bold tt.

	* ltdirchk.dtx: Fix bug in Mac parser. typo " should have been :
           (reported by Andrew Trevorrow)

	* ltbibl.dtx:  Add initial documentation section. 

	* ltpageno.dtx:  Add initial documentation section. 

	* ltlength.dtx: Improve documetation.

	* ltidxglo.dtx:  Add initial documentation section.

	* ltvers.dtx: Remove PRELIMINARY TEST RELEASE from
	  startup banner (spring is here)

	* ltthm.dtx: wrap long lines to 72. 
	  (long line added last night:-)

	* ltpage.dtx: wrap long lines to 72.

	* ltcounts.dtx: Add initial documentation section.

	* ltpictur.dtx: Add initial documentation section.

	* lttab.dtx: Add initial documentation section.

1994-04-26 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* pandora.dtx: Folded a long line.

	* lablst.tex: Folded long lines.

	* copyright.txt: Removed remark about this release being
	preliminary.

	* copyins.txt: Removed remark about this release being
	preliminary.

	* Makefile: No list of files at end of 00readme.txt, check for
	long lines added, make sure that small2e.tex and sample2e.tex
	don't get a standard header.

	* testpage.tex: Folded long lines.

	* manifest.txt: Shortened long lines.

	* tnfss7.tlg: Removed blank lines around font warnings in log
	file.

	* tnfss4.tlg: Removed blank lines around font warnings in log
	file.

	* tnfss1.tlg: Removed blank lines around font warnings in log
	file.

1994-04-26 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* newlfont.dtx: 
	Wrapped long lines.

	* docstrip.dtx: 
	Wrapped long lines.

	* doc.dtx:
	Wrapped long lines.

1994-04-25 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx:

	Added task.

	Corrected processing of \nocorr.

	* ltoutput.dtx:

	Fixed typos and checksum.

	Extra documentation.

1994-04-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltthm.dtx: Move user level documentation earlier in the file.

	* ltxref.dtx: Move user level documentation earlier in the file.

	* tracefnt.dtx: wrap long lines to 72.

	* fam.dtx:  wrap long lines to 72.

	* ltoutenc.dtx:  wrap long lines to 72.

	* ltclass.dtx:  wrap long lines to 72.

	* ltxdoc.dtx: Increase \marginparwidth for long command names,

	* ltboxes.dtx:  wrap long lines to 72.

	* ltlists.dtx: wrap long lines to 72.

	* ltxref.dtx: wrap long lines to 72.

	* ltdefns.dtx:  wrap long lines to 72.

	* ltplain.dtx: wrap long lines to 72.

1994-04-25 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* manifest.txt: Added changes.txt.

	* ltsect.dtx (\@dottedtocline): Put braces around argument 4
 	(the actual toc entry) to avoid font (and possibly other)
 	changes leaking out to the leaders.

	* vlatex01.tlg: Updated for extra lines around warning
 	messages, removed trailing space in error help messages.
 	Change in strut for footnotes causes blank line to disappear.

	* tnfss7.tlg: Update for new \protect handling, updated for new
	values of \sfcode and correct \hbar accent.

	* tnfss7.lvt: Added space after number to prevent too much
	expansion.

	* tlcs01b.tlg: Update for new \protect handling.

	* tlcs07b2.tlg: Update for new \protect handling.

	* tlxs01b.tlg: Update for new \protect handling.

	* tlxs07b2.tlg: Update for new \protect handling.

	* tltc001.tlg: Updated for extra lines around info and warning
	messages, update for new \protect handling, update for change in
	value of \errorcontextlines counter in tltc001.lvt.

	* tl2e1.tlg: Updated for extra lines around info messages.

	* vtl2e01.tlg: Updated for extra lines around warning messages,
	removed trailing space in error help messages.

	* tlb0250.tlg: Omit printout from \documentclass command.

	* tlb0250.lvt: Omit printout from \documentclass command.

	* vlatex03.tlg: Updated for extra lines around warning messages.

1994-04-25 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * clsguide.tex: Added introduction.
        Added section on command naming.
        Added section on docstrip.
        Added details of option processing.
        Added example of DeclareRobustCommand.
        Checked the document in with the server.

1994-04-24 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfntcmd.dtx:

	Tidied, fixed some typos in documentation.

	* ltoutput.dtx (subsection{Floats}):

	Changed outputpage.

	Changed warnings etc to new commands.

	Added \MessageBreak.

1994-04-24 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lterror.dtx: Wrap long lines to 72.

	* ltdirchk.dtx: Set \@TeXversion to `2' by default for TeX2. Add
	  info about setting \@TeXversion to ltxcheck.dtx.

	* lterror.dtx Add \@latex@info@no@line, remove some obsolete
	  code.

1994-04-24 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* tltx003.tlg:
	Regenerated because of message changes.

	* usrguide.tex: 
	Updates and additions.

	* tnfss5.lvt: 
	Updated because check for bug (40) no longer appropriate.

	* tnfss5.tlg: 
	Regenerated because of .lvt change.

	* vlatex07.tlg: 
	Regenerated to reflect new layout of error and warning messages.

	* tltx001.lvt:
	Set errorcontextlines to -1 for better high-level checks.

	* tltx001.tlg:
	Regenerated to reflect new layout of error and warning messages.

	* ltmiscen.dtx (subsection{Environments}):
	Changed outer default of \@currenvline to \@empty to avoid
	double braces.

	* classes.dtx (section{Identification}):
	Changed file information that appears in \listfiles.

1994-04-24 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltxguide.tex: Checked in document class.

        * clsguide.tex: Added sections on 2e font commands, defining \rm 
        etc., and obsolete commands.
        Added stuff about \normalsize, \textheight and \textwidth being the 
        only mandatory commands.
        Implemented Frank's suggestions for additions to the `loading other 
        files' section (which is now a subsection of `upgrading').
        Added stuff on why primitive \input is a bad idea.
        Added stuff on boxes and colour.
        Moved general style stuff to overview section rather than 2.09 
        section.
        Added newsletter example.

1994-04-23 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx: Add coments describing \@TeXversion which must
	  be defined if a TeX older than 3.141 is being used.

	* lterror.dtx: Modify the definition of \GenericError slightly.
	  Also add completely new definition, using \typeout rather than
	  \errmessage. Used with TeX's older than 3.141, which have a
	  bug such that ^^J appears literally rather than breaking the
	  line in messages.

1994-04-23 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* usrguide.tex: 
	Updates and additions.

	* copyright.txt:
	Point to bugs.txt for error reports.
	Changed .l2e extension to .txt.

	* tracefnt.dtx:
	Changed info in \ProvidesPackage.

	* latexsym.dtx:
	Changed info in \ProvidesPackage.

	* ltdefns.dtx:
	Removed \MessageQuote since not used otherwise.

	* lterror.dtx:
	Corrected documentation.
	Removed definitions for \@font@... since they are defined
	in tracefnt.dtx.

	* ltclass.dtx:
	Added missing percents in filecontents definition :-(
	Corrected several typos.
	Cleaned up help texts.
	Don't stop completely if \NeedsTeXFormat finds the wrong format,
	just end inputting the current file.

	* unpack2e.ins: 
	Changed .l2e extension to .txt.

	* install.txt:
	Changed .l2e extension to .txt.

	* othertex.txt:
	Remove bug address; mention bugs.txt instead.
	Changed .l2e extension to .txt.

	* readme.txt:
	Changed .l2e extension to .txt.
	Removed test release info.

	* texpert.txt:
	Changed .l2e extension to .txt.
	Correct LaTeX source file name.

	* web2ctex.txt: 
	Changed .l2e extension to .txt.

	* yandytex.txt: 
	Changed .l2e extension to .txt.

	* manifest.txt:
	Changed .l2e extension to .txt.

	* ltdefns.dtx:
	Replaced ^^J by \MessageBreak.

	* ltclass.dtx:
	Replaced many ^^J by \MessageBreak.
	Reworded several help texts.

	* ltfinal.dtx:
	Replaced \f@warn@break with \MessageBreak.

	* ltmiscen.dtx:
	Replaced \f@warn@break with \MessageBreak.

	* fam.dtx:
	Replaced \f@warn@break with \MessageBreak.

	* tracefnt.dtx:
	Removed definition of \f@warn@break.
	Replaced \f@warn@break with \MessageBreak.

	* latint.dtx:
	Replaced \f@warn@break with \MessageBreak.

	* tl2e5.lvt: 
	Changed test for bug (40) of NFSS1, old test no longer
	appropriate.

	* vtl2e07.tlg: 
	Regenerated because of extra blank lines between warnings.

	* vtl2e03.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tnfss3.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tlxs03r.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tlxs03b.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tlxs03a.tlg:
	Regenerated because of extra blank lines between warnings.

	* tlcs03r.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tlcs03b.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tlcs03a.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tlb0202.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tlb0073.tlg: 
	Regenerated because of extra blank lines between warnings.

	* tl2e5.tlg:
	Regenerated because of lvt file change.

	* tl2e4.tlg:
	Regenerated because of extra blank lines between warnings.

1994-04-23 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * clsguide.tex: Redid document structure to be more like
        usrguide.
        Added section on class/package structure.
        Restructured the commands list.

1994-04-22 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx:
	New \protect logic.

	* ltfloat.dtx:
	Changed \@warning to \@latex@warning.

	* doc.dtx:
	Added \PackageError commands.

	* tracefnt.dtx:
	Complete new definitions for \@fontwarning and
	\@font@info.

	* lterror.dtx (subsection{Specific errors}):
	Added \MessageBreak to various help messages.
	Reset \protect to \relax for \@preamerr.

	* lttab.dtx:
	New \protect logic in \@mkpream.

	* classes.dtx:
	Use new warning message commands.

	* slides.dtx:
	Use new warning commands for classes.
	twocolumn option will produce warning (not error).

	* letter.dtx:
	Use new warning and error commands. (we use \@latex@error
	in compatibility mode)
	Some documentation updates.

	* ltclass.dtx:
	Use new warning and error commands.

	* ltdefns.dtx:
	Removed surplus \space in error message
	Use new warning and error commands.
	
	* proc.dtx: 
	Replaced \@latexerr with \ClassError{proc}.
	Replaced \@@warning with \ClassWarningNoLine{proc}.
	Added \Finale in documentation.

	* ltpictur.dtx:
	Replaced \@warning by \@latex@warning.

	* tracefnt.dtx:
	Use old spacing rules of font warnings so that test suite
	isn't complaining.

1994-04-22 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * usrguide.tex: Rewrote description of the new argument to 
        \newcommand.
        Added section on classes and packages, on package options, and on 
        standard classes and packages.
        Added some examples.
        Added filecontents* and paragraph on what files can be sent.
        Added section on latexsym in `old commands'.
        Rewrote some stuff on 2.09 documents.
        Added section on \frontmatter, \mainmatter and \backmatter.
        Wrote `problems' section, including new error messages, stuff on 
        \tenrm and friends, old versions of files, and submitting a bug 
        report.
        Added overview.

        * lterror.dtx: Replaced braces with begingroup, to stop mathords
        from sneaking into math mode.
        Replaced \@generic@message and \@generic@error by \GenericError,
        \GenericWarning and \GenericInfo.
        Made \GenericError, \GenericWarning and \GenericInfor robust.
        Replaced \\ and ~ by \MessageBreak and \space.
        Replaced \string by \protect in some messages.

1994-04-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: new style \protect code in \changes.

	* ltxdoc.dtx: Define \aalph as there are currently more than 26
	  files included into source2e.tex.
	New style \cmd and \cs so Alan can go \cmd\{ in ltoutenc.

1994-04-21 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* doc.dtx: 
	Replaced \@latexerr by \@latex@error.

	* ltxref.dtx:
	Don't produce line number when warning about multiple labels
	(would be the line number from the aux file).
	Replaced \@warning by \@latex@warning.

	* ltbibl.dtx:
	Replaced \@warning by \@latex@warning.

	* lttab.dtx: 
	Replaced \@latexerr by \@latex@error.

	* ltsect.dtx: 
	Replaced \@latexerr by \@latex@error.
	Replaced \@@warning by \@latex@warning@no@line.

	* ltmiscen.dtx:
	Replaced \@latexerr by \@latex@error.

	* ltfiles.dtx: 
	Replaced \@latexerr by \@latex@error.
	Replaced \@warning by \@latex@warning@no@line; again line numbers
	do not make much sense in this file.

	* ltlists.dtx:
	Replaced \@latexerr by \@latex@error.

	* lhyphen.dtx:
	Fixed checksum.

	* classes.dtx (subsection{Font changing}): 
	Fixed wrong \changes entry.

	* letter.dtx (subsection{Font changing}):
	Fixed wrong \changes entry.

1994-04-21 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltnews01.tex: Wrote 1st draft of LaTeX News #1.

        * lterror.dtx: Made \@generic@message robust.

1994-04-20 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* vtl2e06.tlg: Update for new \protect handling, change in
 	format of error messages, change in glue for framed boxes.

	* vlatex06.tlg: Update for new \protect handling, change in
 	format of error messages, change in glue for framed boxes.

	* ltpage.dtx (\marboth, \markright): Changed setting for
 	\protect.

	* tl2e7.tlg: Update for new \protect handling.

	* tl2e2.tlg: Update for new \protect handling.

	* tlb0427.tlg: Update for new \protect handling.

	* tlb0027a.tlg: Update for new \protect handling.

	* tlb0027b.tlg: Update for new \protect handling.

	* tlb0018.tlg: Update for new \protect handling.

	* vtl2e05.tlg: Update for new \protect handling.

	* vtl2e04.tlg: Update for new \protect handling.

	* vtl2e03.tlg: Update for new \protect handling.

	* vtl2e02.tlg: Update for new \protect handling.

	* vlatex05.tlg: Update for new \protect handling.

	* vlatex04.tlg: Update for new \protect handling.

	* vlatex03.tlg: Update for new \protect handling.

	* vlatex02.tlg: Update for new \protect handling.

	* tnfss2.tlg: Update for new \protect handling.

	* ltsect.dtx (\addtocontents): Correct setting of \protect.

	* ltsect.dtx (\addcontentsline): Correct setting of \protect.

	* ltmiscen.dtx (\@writefile): Added correct setting of \protect.

	* ltfloat.dtx (\@xfloat): Restore @nobreak switch inside float
 	to default value false.

	* ltoutput.dtx (\@outputpage): Added setting of \protect during
	\shipout.

1994-04-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx :
	Replaced \font@warning by \@font@warning.

	* ltmiscen.dtx:
	Replaced \@@warning by \@latex@warning@no@line.
	Replaced \font@warning by \@font@warning.

	* ltfntcmd.dtx:
	Replaced \@latexerr by \@latex@error.
	
	* newlfont.dtx:
	Replaced \@latexerr by \@latex@error.
	
	* lfonts.dtx: 
	Replaced \font@warning by \@font@warning.
	Replaced \@latexerr by \@latex@error.

	* latint.dtx: 
	Replaced \font@warning by \@font@warning.
	Replaced \font@log by \@font@info.
	Replaced \@latexerr by \@latex@error.

	* fam.dtx: 
	Replaced \font@warning by \@font@warning.
	Replaced \font@log by \@font@info.
	Replaced \@latexerr by \@latex@error.

	* tracefnt.dtx:
	Replaced \font@warning by \@font@warning.
	Replaced \font@log by \@font@info.
	Replaced \@latexerr by \@latex@error.
	Use new generic error commands.

1994-04-20 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * lterror.dtx: Fixed a bug with \@inmatherr.

        * ltfinal.dtx: Corrected checksum.

        * lterror.dtx: Added \@latex@info@no@line.
        Added missing full stops.

        * ltdefns.dtx: Renamed @checkcommand to CheckCommand.

        * latex209.dst: Added t1enc.sty.

        * latex209.dtx: Changed \@finalstrut.
        Added t1enc.sty.

1994-04-19 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx: use \maxdimen not 9999p in \showoutput.

	* test2e.tex: add test2e.cfg for customisation (suggested by
	  Rainer)

1994-04-19 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* tlb0109.tlg: Change in format of error messages.

	* tlb0063.tlg: Change in format of error messages.

	* vtl2e03.tlg: Change in format of error messages.

	* vtl2e02.tlg: Change in definition of \TeX logo.

	* vtl2e01.tlg: Change in format of error messages, change in
	definition of \TeX logo.

	* tltx002.tlg: Change in format of error messages.

	* vlatex03.tlg: Change in format of error messages.

	* vlatex02.tlg: Change in definition of \TeX logo.

	* vlatex01.tlg: Change in format of error messages, change in
	definition of \TeX logo.

	* tltc002.tlg: Change in format of error messages.

	* source2e.tex: Changed according to split in files.

	* manifest.l2e: Changed according to split in files.

	* unpack2e.ins: Changed according to split in files.

	* ltdefns.dtx: Added definitions for \@namedef and \@nameuse
	again.

	* ltcntlen.dtx: Split into ltcounts.dtx (counters), ltpageno.dtx
	(page numbering), ltxref.dtx (cross referencing), ltlength.dtx
	(lengths).

	* ltidxbib.dtx: Split into ltidxglo.dtx (index and glossary) and
	ltbibl.dtx (bibliography commands).

	* tlb0268.tlg: Change in test2e setup causes box printout to
	reappear.

	* tlb0077.tlg: Change in test2e setup causes box printout to
	reappear.

	* vtl2e01.tlg: Change in test2e setup causes box printout to
	reappear.

	* tl2e1.tlg: Change in test2e setup causes box printout to
	reappear.

	* tlxs04a.tlg: Change in test2e setup causes box printout to
	reappear.

	* tlxs02.tlg: Change in test2e setup causes box printout to
	reappear.

	* tlxs01p.tlg: Change in test2e setup causes box printout to
	reappear.

	* tltx001.tlg: Change in test2e setup causes box printout to
	reappear.

	* vlatex05.tlg: Strut in footnotes back to old version for
	compatibility mode.

	* vlatex04.tlg: Strut in footnotes back to old version for
	compatibility mode.

	* vlatex03.tlg: Strut in footnotes back to old version for
	compatibility mode.

	* vlatex02.tlg: Strut in footnotes back to old version for
	compatibility mode.

	* vlatex01.tlg: Change in test2e setup causes box printout to
	reappear.

	* tnfss1.tlg: Change in test2e setup causes box printout to
	reappear.

	* tlcs02.tlg: Change in test2e setup causes box printout to
	reappear.

	* tlcs01b.tlg: Change in test2e setup causes box printout to
	reappear.

	* tltc001.tlg: Change in test2e setup causes box printout to
 	reappear, strut in footnotes back to old version for
 	compatibility mode.

1994-04-18 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* tnfss4.tlg: With new handling of changes to font size and
	\baselinestretch the tracefnt messages are slightly different.

	* tl2e4.tlg: With new handling of changes to font size and
	\baselinestretch the tracefnt messages are slightly different.

	* vtl2e02.tlg: New definitions for LaTeX and SLiTeX logos now
	active, change in writing of robust commands, change in glue for
	framed boxes.

	* vlatex02.tlg: New definitions for LaTeX and SLiTeX logos now
	active, change in writing of robust commands, change in glue for
	framed boxes.

	* tl2e7.tlg: Updated for new values of \sfcode and correct
	\hbar accent.

	* tl2e7.lvt: Replace package t1enc by fontenc, added a space.
	Added space after number to prevent too much expansion.

	* vtl2e01.tlg: Change in strut for footnotes causes blank
	line to disappear.

1994-04-18 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Added \@finalstrut.

        * ltlogos.dtx: Added the TeX logo.
        Made the LaTeX2e logo use the text font 2 rather than the math
        font 2.

        * ltoutenc.dtx: Fixed a typo with fontenc.sty... it's
        \encodingdefault, not \defaultencoding!

        * ltfinal.dtx: Corrected the lccode for d-bar.

        * ltoutenc.dtx: Made \.i produce i.

1994-04-17 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: Modify \@use@option so Alan can use
	  \OptionNotUsed within the code for a declared option.

1994-04-17 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* tl2e7.lvt: Corrected: \documentstyle --> \documentclass.

	* tlb0039.tlg: Removed \usepage{t1ot1}.

	* tlb0039.lvt: Removed \usepage{t1ot1}.

	* latint.dtx: Added missing \let in \@no@font@optfalse, added
	\ProvidesFile and \GetFileInfo.

	* tlb0438.tlg: Updated for \every@size now working correctly.

	* vlatex07.tlg: Change in strut for array/tabular parboxes and
	footnotes.

	* vtl2e07.tlg: Change in strut for array/tabular parboxes and
	footnotes.

	* vlatex05.tlg: Change in strut for footnotes, change in
	writing of robust commands, change in glue for framed boxes.

	* vtl2e05.tlg: Change in strut for footnotes, change in
	writing of robust commands, change in glue for framed boxes.

	* vlatex03.tlg: Change in strut for footnotes, change in glue
	for framed boxes.

	* vlatex04.tlg: Change in strut for footnotes.

	* tltx001.tlg: Change in glue for framed boxes, change in args
	to \@ifstar, change in colorendbox.

	* tl2e3.tlg: Change in strut for footnotes.

	* vtl2e03.tlg: Change in strut for footnotes, change in glue
	for framed boxes.

	* vtl2e04.tlg: Change in strut for footnotes.

	* tlb0202.tlg: Change in expansion of accent macros.

	* tltc001.tlg: Change in glue for framed boxes, change in args
	to \@ifstar, change in colorendbox.

1994-04-17 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx: An underscore character with catcode 12 in math
	mode produced an error since the active underscore was \let to
	\_ before the latter was defined. \global\let replaced by \gdef.

1994-04-17 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* lfonts.dtx:
	Added extra braces to \copyright.
	Added extra braces to \nfss@text (allow direct use in subscript).

1994-04-17 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * lterror.dtx: Moved error commands from ltdefns.dtx.

        * ltdefns.dtx: Added section on \protect.  Moved error commands to
        lterror.dtx. 

        * ltoutenc.dtx: Removed braces from \$ since they're now in
        nfss@text. 

        * latex209.dtx: Fixed a bug with \ds@newlfont.
        Removed extra spaces from the missing file error.
        Commented out bezier with \iffalse...\fi rather than %% to avoid
        bezier turning up in every file.
        Corrected some documentation.

1994-04-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx: Use \DeclareRobustCommand to define \ensuremath,
	and add extra braces so a_\ensuremath{foo} works.

	* ltoutput.dtx: Add \color@begingroup to protect \normalcolor.
          move \normalcolor out of the inner box.

1994-04-16 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: Added batch file ltoutenc.ins.

	* ltoutenc.dst: Capitalize encoding names.

1994-04-16 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx (subsection{Macros for the user}):
	Removed surplus braces from robust command \linespread.
	Pass \baselinestretch not \f@linespread in \fontsize.

	* ltoutenc.dtx:
	\DeclareTextCommand now uses specified encoding again in
	top-level part.
	Encoding files now use mixed case names, eg OT1enc.def
	(subsection{Definitions for the OT1 encoding}): 
	Added extra braces in def of \$.

	* ltplain.dtx:
	Changed \loop ...\repeat to use Kabelschacht method (TUB 8#2)
	Comment out encoding specific commands which are defined by
	ltoutenc.dtx.

	* ltoutput.dtx:
	Use \let to get original defs of accents back in output routine.

	* ltfinal.dtx:
	Removed loading of ot1enc.sty (not longer available).
	Moved definitions of \@acci and friends to lfonts.dtx.

	* lfonts.dtx (subsection{Miscellaneous}):
	Define saved versions of accents (\@acci and friends) here.

	* fontdef.dtx (subsection{Encodings}):
	Declare default encoding first.
	Load encoding specific files for OT1 and T1.

1994-04-16 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltcntrl.dtx: Split file from ltinit.dtx.

        * ltcounts.dtx: Split file from ltinit.dtx.

        * ltdefns.dtx: Split file from ltinit.dtx.

        * lterror.dtx: Split file from ltinit.dtx.

        * ltlogos.dtx: Split file from ltinit.dtx.

        * ltpar.dtx: Split file from ltinit.dtx.

        * ltspace.dtx: Split file from ltinit.dtx.

        * ltoutenc.dtx: Removed \P, since it's not in the T1 encoding.
        Added \r and \k accents.
        Added \NG, \ng, \TH, \th, \DH, \dh, \DJ and \dj.

        * latex209.dtx: Fixed a bug with \mediumseries.

        * ltoutenc.dtx: Redid fontenc.sty to use the new mixed-case
        encoding files.
        Fixed a bug with \pounds.

        * latex209.dtx: Fixed a bug with the margid option.

        * ltfinal.dtx: Removed ot1enc.sty.

1994-04-15 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* lfonts.dtx:
	\$ and \pdollar removed since now part of encoding cmds.
	\pounds and \ppounds ditto.

	* fam.dtx:
	Names of encoding commands changed to \<enc>-cmd.

1994-04-15 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Added the nomargid and margid options.

1994-04-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ifthen.dtx: Add \TE@repl, to make \or safe in \equal.

1994-04-14 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fontdef.dtx (subsection{Encodings}):
	Don't input .def files in encoding declarations.

	* fam.dtx (section{Macros for setting up the tables}):
	Init the encoding change macro only for new \DeclareFontEncoding.
	Log redeclarations of font encodings.
	(subsection{Macros for the user}):
	Added missing \noexpand to \enc@update.
	Initialise all \f@... macros with \@empty.
	(subsection{Macros for loading fonts}):
	Don't change \f@encoding in \DeclareErrorFont.  Removed
	definitions for \makeatletter and \@input etc. since they are not
	longer necessary.

	* lfonts.dtx (subsection{Miscellaneous}):
	Removed surplus braces within \normalfont.
	Added \DeclareErrorFont.

	* unpack2e.ins (IMPORTANT NOTICE):
	Moved ltoutenc.dtx before ltfss.dtx since ltfss needs parts of the
	code.

	* tracefnt.dtx (section{Macros common to \texttt{fam.tex} and
          \texttt{tracefnt.sty}}): Added \enc@update to selectfont.

	* fam.dtx (section{Macros for setting up the tables}):
	Initialise \<enc>@cmd in \DeclareFontEncoding.
	(subsection{Macros for the user}):
	Added \enc@update to \fontencoding. Thus now encoding updates are
	deferred until the following \selectfont (as they should).  One
	action of \enc@update is to update \<enc>@cmd for the old and the
	new encoding.

1994-04-14 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltoutenc.dtx: Renamed \ENC@cmd to \ENC-cmd, to avoid collisions
        with commands like \U@cmd.

        * ltoutenc.dst: Updated the dst file to match ltoutenc.dtx.

        * latex209.dtx: Redid the oldlfont and newlfont options to set the
        \@no@font@optfalse flag.

        * fontsmpl.dtx: Split font sample document and package out of
        ltoutenc. 

        * ltoutenc.dtx: Stopped commands declared with DeclareTextWidget
        from going into an infinite loop if f@encoding isn't the current
        encoding. 
        Added fontenc package.
        Made ot1enc.def and t1enc.def files rather than packages.

        * latex209.dtx: Changed how 2e commands are switched off. 
        Removed the date from the announcement of 2.09 mode.

1994-04-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lfonts.dtx:  remove file identification typeout.

	* latint.dtx: remove file identification typeout.

	* setsize.dtx: remove file identification typeout.

	* tracefnt.dtx: remove file identification typeout.

	* fam.dtx: remove file identification typeout.

	* lttab.dtx: Remove definition of \a \a' etc. Now in
	  ltoutenc.dtx

	* ltboxes.dtx: New accent handling in parboxrestore.

	* newlfont.dtx: \DeclareProtectedCommand now 
                        \DeclareRobustCommand              

	* oldlfont.dtx: \DeclareProtectedCommand now 
                        \DeclareRobustCommand             

	* ltpictur.dtx: Removed unnecessary braces from \@ifnextchar and
	  \@ifstar constructions.

	* ltclass.dtx: Stop \listfiles being run twice, (A second
	  occurrence in the preamble is silently ignored)

	* lttab.dtx: Add colour support to tabbing macros.
	Use \@finalstrut in @endpbox.

	* ltfloat.dtx: Add colour support (back again:-) to
	  \@footnotetext. Safe this time, using \normalcolor in an inner
	  group, leaving \reset@font\footnotesize in an outer group so
	  that \split... get set correctly. Also use \@finalstrut, and
	  remove some superfluous braces.
	  Add \normalcolor to \@xfloat, so floats do not pick up the
	  current colour.

1994-04-13 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx:
	Use \@input@ for .fd files so that they show up with
	\listfiles.

	* ltfntcmd.dtx:
	Replaced \@protecteddef by \DeclareRobustCommand.
	
	* fontcmds.dtx:
	File renamed to ltfntcmd.dtx.

	* unpack2e.ins:
	Added Welcome message.
	Update kernel generation.

	* ltsect.dtx:
	Added file identification string.

	* ltpictur.dtx:
	Added file identification string.

	* ltcntlen.dtx:
	Added file identification string.
	Removed \@Ialph and \@ialph since they neither save space 
	nor execution time.
	
	* ltfiles.dtx:
	Added file identification string.
	Execute \every@size hook at begin document.

	* ltvers.dtx:
	Added file identification string.
	Added \endinput at the end. This is necessary for running
	unpack2e.ins.
	Use \fmtname in \everyjob and welcome message.

	* tracefnt.dtx: 
	Change \DeclareProtectedCommand to \DeclareRobustCommand.

	* lfonts.dtx:
	Change \DeclareProtectedCommand to \DeclareRobustCommand.

	* fam.dtx:
	Change \DeclareProtectedCommand to \DeclareRobustCommand.

1994-04-13 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltinit.dtx: Added \@backslashchar.  
        Improved coding of \@ifdefinable.

        * testdist.dtx: Improved documentation.

        * emtex.l2e: Created this file.

        * ltfinal.dtx: Loaded package ot1enc, and defined \@acci and
        friends. 

        * ltinit.dtx: Added logging to DeclareProtectedCommand.

        * ltoutenc.dtx: Renamed accents.dtx to ltoutenc.dtx.  
        After all these months It's now a real bit of kernel! :-)

        * accents.dtx: Replaces \space by ` ' in csname.

        * ltinit.dtx: Replaced \space by ` ' in \csname

        * accents.dtx: Added \{, \} and \$.

        * ltinit.dtx: Renamed DeclareProtectedCommand to
        DeclareRobustCommand.
        Moved DeclareRobustCommand after @gobble.
        Removed @if@short@command.
        Removed \{ and \}.

        * accents.dtx: Redid all the kernel commands.  Made t1.def and
        ot1.def into t1enc.sty and ot1enc.sty.

1994-04-12 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* slides.dtx:
	Changed some \changes entries to have a 'v' in front of the
	version  number.
	(section{A driver for this document}):
	A missing \begin{macrocode} line caused LaTeX to loop and complain
	about \begin{document} only being allowed in the preamble.
	Wrapped a number of long lines to prevent overfull hbox messages
	and fixed improper nesting of macro and macrocode environments.

	* letter.dtx:
	Changed some \changes entries to have a 'v' in front of the
	version  number.
	(subsubsection{Defining the page styles}):
	Made running heads the same for odd and even pages in twoside
	mode.

1994-04-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* amsfonts.dst: Remove generation of the drv file.

	* amsfonts.fdd: Add \ProvidesFile comments to all the files
	  generated.

	* slides.fdd: Add \ProvidesFile comments to all the files
	  generated.

	* ltdirchk.dtx: Add early definition of \ProvidesFile,
	   so fd files read at initex time work OK.
	  Add `v' to \changes entries.

	* cmfonts.fdd: Add \ProvidesFile comments to all the files
	  generated.

	* newlfont.dtx: \DeclareProtectedCommand to define \em. Remove
	  the definitions of \prm and friends.

	* oldlfont.dtx: use \DeclareProtectedCommand to define \rm and
	  friends. Also use \normalfont rather than \reset@font.

1994-04-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx: Added \normalcolor to the output routine just
	  before the head and foot are placed. Needed now color.sty does
	  not redefine \reset@font.

	* ltboxes.dtx: merged \fbox and \framebox.
	Defined \@finalstrut (used in \@mpfootnotetext)
	Defined \normalcolor (\let to \relax)

1994-04-12 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* tracefnt.dtx:
	New \baselinestretch concept.
	Added some tracing again that was incorrectly removed.
	Ensure that ltfss can be processed with main mem 
	less than 65000 by adding macrocode envs.
	Defined all robust commands vi \DeclareProtectedCommand.

	* lfonts.dtx:
	Ensure that ltfss can be processed with main mem 
	less than 65000 by adding macrocode envs.
	Defined all robust commands vi \DeclareProtectedCommand.

	* fam.dtx:
	New \baselinestretch concept.
	Ensure that ltfss can be processed with main mem 
	less than 65000 by adding macrocode envs.
	Defined all robust commands vi \DeclareProtectedCommand.

	* latint.dtx:
	Allow commands to be \let to \relax in the argument of
	\DeclareMathSymbol, etc. So far only undefined commands
	or commands of the right type (eg mathchars) were
	allowed.
	Ensure that ltfss can be processed with main mem 
	less than 65000 by adding macrocode envs.

1994-04-12 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltinit.dtx: Fixed a bug with DeclareProtectedCommand.

1994-04-11 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* classes.dtx:
	Changed some \changes entries to have a 'v' in front of the
	version  number.

1994-04-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: Superfluous braces removed from several commands

	* ltclass.dtx: modify filecontents environment so that ctrl-L
	  and ctrl-I are written as a blank line and space respectively.
	  A warning is given if either of these translations takes
	   place, using a devious use of \@ifundefined.

1994-04-11 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltinit.dtx: Moved the logos to after \DeclareProtectedCommand.
        Defined them using \DeclareProtectedCommand.
        Made the SLiTeX logo use the TeX logo.
        Made \, and \hspace use \DeclareProtectedCommand.

        * ltfinal.dtx: Added %%% ltfinal.dtx line.

        * ltinit.dtx: Added %%% ltinit.dtx line.

        * latex209.dst: Added dummy bezier.sty.

        * latex209.dtx: Added dummy bezier.sty.

1994-04-10 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx: Slight change in text of error message for
	\verb in command argument.

1994-04-10 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltinit.dtx: Added documentation sent by DPC.
        Moved \makeatletter and \maketother into ltinit.
        Added extra ^^Js to \@latexerr.
        Removed a couple of spurious braces.

1994-04-09 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* fontcmds.dtx: Temporary fix: Make sure that \next is not
	dangerously \let to \relax.

	* exscale.dtx:
	Added code for scaling of \big... delimiters.

1994-04-09 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx: 
	Added file identification string.
	Changed error message to fit linewidth.

	* latint.dtx:
	Added file identification string.
	Added test to \newmathalphabet to produce an error if
	used in old 209 sources without explicit newlfont or oldlfont
	option. (New compatibility concept)

	* oldlfont.dtx (section{The Code}):
	Setting of \math@bgroup and \math@egroup outside latex209
	part. (New compatibility concept)

	* fontcmds.dtx:
	Replaced use of \next by \@let@token and undid temp fix 3.3e.

1994-04-08 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* fontcmds.dtx:

1994-04-08 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* exscale.dtx: Changed to conform to new documentation
	standard.

	* euscript.dtx: Changed to conform to new documentation
	standard.

	* eufrak.dtx: Changed to conform to new documentation
	standard.

	* eufrak.dst: Removed generation of .drv file.

1994-04-08 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltxdoc.dtx:
	Moved definition of \GetFileInfo to doc.dtx.

	* doc.dtx (subsection{GetFileInfo}):
	Moved definition of \GetFileInfo into this file.

	* ltthm.dtx:
	Added file identification string.

1994-04-08 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * somedefs.dtx: Produced v0.01.

        * rawfonts.dtx: Produced v0.01, using somedefs.dtx.

1994-04-07 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx:
	Added file identification string.
	Changed \@firsttab and \@maxtab from counters to chardefs.
	Removed surplus {} in \@ifnextchar and \@ifstar constructs.
	Removed plain TeX definition of \+

1994-04-06 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (subsubsection{Itemize}): 
	Inserted \normalfont before \bfseries in second level list label.
	(subsubsection{Description}):
	Inserted \normalfont before \bfseries in \descriptionlabel
	Modified the documentation to use doc's `environment' environment
	when documenting new environments.
	(subsubsection{Vertical spacing}): 
	Added the setting of \maxdepth and \@maxdepth.

	* slides.dtx:
	Modified the documentation to use doc's `environment' environment
	when documenting new environments.
	(subsubsection{Vertical spacing}):
	Added the setting of \maxdepth and \@maxdepth.

	* classes.dtx (subsection{The title}):
	Now check whether we are in the first or second column in
	twocolumn mode.
	(subsubsection{Vertical spacing}):
	Added the setting of \maxdepth and \@maxdepth.
	(subsubsection{Itemize}):
	Inserted \normalfont before \bfseries in second level list label. 
	(subsubsection{Description}):
	Inserted \normalfont before \bfseries in \descriptionlabel

1994-04-05 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltidxbib.dtx: Do not write page number in \nocite warning
	message.  Set switch for warning and end of run.

1994-04-05 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* preload.dtx:
	Added some explanation about the need to have the encoding
	predeclared as well.

1994-04-05 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltfinal.dtx: Added empty \errhelp.

1994-04-04 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: Changed the wording of the warning in
	  \NeedsTeXFormat.

	* ltinit.dtx: added patch (from Frank)
	  @badcrerr error message removed 

1994-04-04 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latint.dtx:
	Renamed \@@DeclareMathDelimiter to \@xDeclareMathDelimiter

1994-04-03 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltinit.dtx: add \@break@tfor
	Remove many superfluous braces around arguments of \@ifnextchar
	and \@ifstar.

	* source2e.tex: allow full indexing on \@latexerr \@warning, and
	  \@tempboxa and friends.

	* ltfiles.dtx: add \@onlypreamble\@obsoletefile
	 remove some obsolete code which was previously commented out.
	 rename \@break@loop to \@break@tfor, and move its definition to
	 ltinit.

	* tlb0203.lvt: new test file for \@tfor bug.

1994-04-03 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* ltidxbib.dtx: Make \nocite issue a warning for an undefined
	citation key.

	* ltfinal.dtx: Corrected setting catcode for ctrl-j.

	* amsfonts.fdd: Removed definitions for AMS-supplied cm fonts.

	* cmfonts.fdd: Included definitions for AMS-supplied cm fonts.

1994-04-03 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx:
	\@badcrerr replaced by \@nolnerr.

	* ltinit.dtx:
	\@badcrerr error message removed.

1994-04-03 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * ltfinal.dtx: Set the catcode of ^^J to other.

	Removed \@undefinedfonterror.
	
1994-04-02 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltoutput.dtx (subsubsection{Float control}): 

	Shortened code of \@resethfps.

	Corrected info message code.

	* fontcmds.dtx:

1994-04-02 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Redid the method of switching off 2e commands.

        * ltfinal.dtx: Set all the catcodes before dumping.  Made 127
          illegal. 

        * install.l2e: Added yandytex.l2e

        * accents.dtx: Rewrote almost everything from scratch.

        * yandytex.l2e: Installed a file from Berthold

	Corrected \@fontswitch.
	
1994-04-01 Chris Rowley <latex-bugs@Uni-Mainz.DE>

	* ltfloat.dtx (subsection{Floating Environments}): 

        Added \@largefloatcheck.
	
        Removed unnecessary braces from arguments of \@ifnextchar.

1994-04-01 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* classes.dst:
	Removed line left over from the driver generation.

	* slides.dtx (subsection{The class code}): 
	Removed the use of variables to store the version information.
	Added \ProvidesFile to slides.def

	* letter.dtx (section{Identification}): 
	Removed the use of variables to store the version information.

	* classes.dtx (section{Identification}): 
	Removed the use of variables to store the version information.

	* proc.dtx (subsection{Identification}): 
	Removed the use of variables to store the version information.

	* makeindx.dtx (subsection{Identification}):
	Removed the use of variables to store the version information.

1994-03-29 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* letter.dtx (section{Identification}):
	Use the generic name LaTeX instead of LaTeX2e in the arguments of
	\ProvidesClass and removed typeout message.

1994-03-29 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx: use `v' in \changes entries.

	* ltxdoc.dtx: Update the documentation. (source2e now has an
	  index by default.)

	* ltclass.dtx: upgrade version to 1 (no other change, except
	  using `v' in \changes entries in to match the other kernel
	  files.)

	* test2e.tex: reset the original \showbox parameters. (As
	  ltplain now sets them to -1)

1994-03-28 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Table of Contents}):
	Changed the definitions of \l@part, \l@chapter and \l@section
	(article only) to check the value of tocdepth.  :
	(section{Identification}):
	Use the generic name LaTeX instead of LaTeX2e in the arguments of
	\ProvidesClass and \ProvidesFile

	* letter.dtx (subsection{Two-side or one-side printing}):
	Allow the twoside option in native mode; introduced oneside
	option.
	(subsubsection{Defining the page styles}):
	Changed the definition of the pagestyles plain and empty to also
	define the head and feet for even pages; Added different
	definition for pagestyle headings when twoside is in effect.
	(subsection{The generic letter commands}):
	A letter has to start on a `right' page when in twosided mode.

1994-03-28 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* graphpap.dtx: Leslie's \graphpaper macros, Converted to
	  ignore spaces between arguments, and documented using doc.

	* ltxdoc.dtx: add \parg for picture mode args.

	* ltpictur.dtx (subsection{Curves}): added \bezier and \qbezier
	(section{Picture Mode}): Modified \picture \multiput and \bezier
	so that they ignore spaces between arguments.
	(section{Picture Mode}): made \circle use \@inmatherr

1994-03-28 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx (section{Plain \TeX}):
	Turn off overrfull box tracing in trancript file. 

	* doc.dtx (subsection{Bells and whistles}):
	Ignore \Finale without \StopEventually.

	* latint.dtx:
	Removed \uppercase from all counter assignments dealing possibly
	with hex numbers. That means that
	   \DeclareMathSymbol{m}{\mathord}{operators}{"6d}
	doesn't work any longer (must be "6D now).
	On the other hand
	   \DeclareMathSymbol{m}{\mathord}{operators}{`m}
	although we would suggest to use at least `\m 

	* ltlists.dtx:
	Replaced the warning \@ltxnomath by \@inmatherr.

	* ltinit.dtx (section{Initex initialisations}):
	Added error macro \@inmatherr#1 to be issued by commands
	that will not work in math mode (like (\circle))

	* doc.dtx (subsection{Redefining the \textsf{index} environment}):
	Use \RequirePackage to input multicol.

1994-03-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: Remove extra full stops from the ends of some
	  error messages.

1994-03-25 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltmiscen.dtx:
	message changed to "\verb ended by end of line"

1994-03-24 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltpage.dtx:
	Redefine \@leftmark and \@rightmark to use \@firstoftwo
	and \@secondoftwo.

	* classes.dtx (subsection{Font changing}):
	We do warn now if \sl or \sc is found in math
	(not that they should be used at all.

	* ltpictur.dtx:
	Removed surplus spaces after "\hbox to " in several cases.

1994-03-23 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx (subsection{Font loading}):
	Checked the value of \font@submax. If greater 0pt issue a 
	bold warning and reset it to 0pt.

	* ltmiscen.dtx:
	\verb error messages reworded.

1994-03-22 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx:
	Replaced width, height, depth by \@wifth, \@height, \@depth.

	* latint.dtx:
	Replace the use of \@leftmark with \@firstoftwo.
	Moved \@tempdimc to ltinit.dtx.

	* ltinit.dtx:
	Moved all \@gobble... macros to this file.

	* ltmiscen.dtx (subsection{Environments}):
	Messages generated by \enddocument reworded.

1994-03-21 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx (section{\LaTeX\ Box commands}): add colour
	  support to minipage. add comments throughout the file.

	* source2e.tex: modify to always print the index and change
	  history, no longer need to use ltxdoc.cfg to get the index.

1994-03-21 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* newlfont.dtx: 
	Changed message "Don't use ..." to "Command \foo invalid in math mode".

	* lfonts.dtx: 
	Changed message "Don't use ..." to "Command \foo invalid in math mode".

	* fam.dtx: 
	Changed message "Don't use ..." to "Command \foo invalid in math mode".
	Changed \errmessage's to \@latexerr's.

1994-03-21 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * install.l2e: Corrected the wording of the bug report.

        * ltfinal.dtx: Added some documentation, incorporated ltcodes.dtx.
        This now includes setting the catcodes of 128--255 to `illegal'.

1994-03-20 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* features.tex: New name for dircheck. 
	 Improve description of package option names.  Modify
	 description of dtx extension (as they may now be directly
	 processed by LaTeX.  
	 \@filename@parse typo corrected to \filename@parse.

1994-03-20 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx (subsection{Macros for loading fonts}):
	Added the global flag \ifG@fontsubs. This will be set to true
	when automatic font substitution happened.

	* ltmiscen.dtx (subsection{Environments}):
	Moved the warning messages in \enddocument so that they will appear in 
	succession. Also ensure that the aux file is always read so that toc etc.
	will be correctly produced even in case of multiple labels.
	Query \ifG@fontsubs and issue a warning in \enddocument when set to true.
	Also check if size substitution has happened and issue a warning if it
	is greater than \fontsubfuzz.

1994-03-20 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Redefined \verbatim@noligs@list.

1994-03-19 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltpage.dtx Improve documentation.

1994-03-18 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfinal.dtx: Use catcode15 not catcode13 for control chars.
	  Initialise \textwidth \textheight and page style.

	* ltfloat.dtx: removed colour support from \@footnotetext and
	  \@savemarbox. The `simple' extra groups that had been added
	  cause incorrect spacing. More complicated modifications
	  required for colour support will be done in color.sty.

1994-03-18 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latint.dtx:
	Removed surplus definition of \no@alphabet@error (see fam.dtx entry).
	Corrected an error in \DeclareMathAlphabet M@#3 -> M@#2.
	Added a missing % in \SetMathAlphabet@.
	Changed two error message helps still containing \documentstyle. :-)
	Changed all "Redeclaring something..." messages to log only infos.
	Changed "Check substitution defaults ..." message to "Checking defaults ..."

	* fam.dtx:
	Changed message "Calculating math sizes ..." to appear only in
	transcript file.
	\no@alphabet@error reimplemented to be LaTeX err message.
	\no@alphabet@help removed.

	* tracefnt.dtx:
        Changed line breaks and wording in some messages.
	Removed surplus "." from some warning messages.
	All warning/error messages changed to start "LaTeX Font Warning" etc.
	Continuation lines are changed to "(Font)".

	* tracefnt.dtx (section{Scaled font extraction}):
	Removed dimen regs \fontsubfuzz and \fontsubmax and replaced them
	by macros \fontsubfuzz and \font@submax. 

1994-03-18 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * web2ctex.l2e: Changed name from unixtex.l2e.  Changed the
        example shell script to look for a LATEX209INPUTS environment
        variable. 

        * install.l2e: Changed name of unixtex.l2e to
        web2ctex.l2e. 

        * latint.dtx: Changed \font@warning to \font@log for redefining
        math alphabets and symbol fonts.

1994-03-17 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltcntlen.dtx: 
	Use new std counter error message \@nocounterr.

	* ltthm.dtx: 
	Use new std counter error message \@nocounterr.

	* ltinit.dtx: 
	Defined \@nocounterr to be the LaTeX2e error command with one
	argument that announces unknown counters. Changed \@nocnterr
	back to no-arg syntax for compatibility with old styles making
	use of that error message. \@nocnterr should not be used by
	new LaTeX2e applications.

1994-03-15 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* proc.dtx: Adding missing guard /class, this produced
	incorrect proc.sty.

	* ltboxes.dtx: Added missing % character in definition of
	\@isavebox.

1994-03-14 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* slides.dtx (subsection{Font changing}):
	\@renewfontswitch has gone; \@newfontswitch has become
	\DeclareOldFontCommand

	* letter.dtx (subsection{Font changing}):
	\@renewfontswitch has gone; \@newfontswitch has become
	\DeclareOldFontCommand

	* classes.dtx (subsection{Fonts}):
	The size changing commands are no longer defined in the
	kernel. Use \newcommand instead of \renewcommand.
	(subsection{Font changing}):
	\@renewfontswitch has gone; \@newfontswitch has become
	\DeclareOldFontCommand

	* oldgerm.dtx:
	 Renamed \@newtextcmd to \DeclareTextFontCommand

	* fontcmds.dtx:
	Renamed \@newtextcmd to \DeclareTextFontCommand and
	\@newfontswitch to \DeclareOldFontCommand as agreed in Warwick.
	

1994-03-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: fix to pagestyle in change log.

1994-03-14 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latexbug.tex: Changed the prompt for `a list of files' to a
        prompt for a single filename.  Made latexbug look to see if it
        could find the file, and if it can, it includes the file and the
        logfile in the latexbug.msg.  

1994-03-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltinit.dtx: Add definition of \@dischyph (was in ltboxes).

	* ltboxes.dtx: Remove redefinition \@acci-iii. (now defined in
	  ltplain). Remove definition of \@dischyph (now in ltinit).

	* ltplain.dtx: define \' \` \= in terms of \@acci-iii.
	  Use NFSS font commands in \ttraggedright and \proclaim.

1994-03-12 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* manifest.l2e: Changes according to splitting of kernel.

	* ltvers.dtx: Have Expansion of \fmtversion (version info)
	generated automatically.

	* accdefs.dtx: Removed definitions of accent macros \' \` \=
	as these are in the kernel.

1994-03-12 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * oztex.l2e: Added warning that lines are > 80 chars

1994-03-11 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Titlepage}):
	Removed bug introduced by inserting \cleardoublepage in the wrong
	place.

	Checked the file for long lines and wrapped them.

	LL introduced options openright and openany fot the report and
	book classes.

	LL introduced commands \frontmatter, \mainmatter and \backmatter
	to the book class.

1994-03-11 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx: add * form of filecontents environment.
	  Protect \ProvidesFile against space and / having strange
	  catcodes. 

	* ltinit.dtx: remove setting of errorcontextlines in \@latexerr
	  remove old definition of the \LaTeX logo.

	* source2e.tex: minor improvements (mainly to the comments)

	* ltthm.dtx: use new style \@nocnterr (diff from Frank, dated
	  1994/04/09)

1994-03-11 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * fam.dtx: Added `defaultscriptratio and
        `defaultscriptscriptratio. 

        * latex209.dtx: Switched off `enlargethispage and the `!' float
        option. 

1994-03-10 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * install.l2e: Split the installation guide into install.l2e,
        texpert.l2e, and system-specific oztex.l2e and unixtex.l2e files. 

        * template.l2e: Created a template for system.l2e files.

1994-03-09 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltherest.dtx: 
	Use standard counter missing error message for \newtheorem.

	* ltcntlen.dtx: 
	Use \setcounter in \stepcounter to have counter name checked.
	Change usage of \@nocnterr to have counter name as argument.

	* ltinit.dtx:
	Change default err message to point to the LaTeX manual or 
	LaTeX companion.

1994-03-05 Alan Jeffrey <latex-bugs@Uni-Mainz.DE>

        * latex209.dtx: Switched off `lrbox, `width, `height and `depth in
        2.09 mode.

        Removed optional arguments to `parbox, `minipage and `newcommand.

        Made `ProvidesPackage and `ProvidesClass produce log entries
        rather than warnings.

        Removed `filedate.

1994-02-31 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltxdoc.dtx: Minor improvements.

	* manifest.l2e: update this file with all the new file names.

	* source2e.tex: update this file with all the new file names.

	* unpack2e.ins: update this file with all the new file names.

	* ltherest.dtx: The only thing left in this file is the old
	  definition of \documentstyle and \@options, which are
	  redefined in ltclass.dtx. This file is now removed.

	* ltpage.dtx: Create file. Page style + \raggedbottom \sloppy
	  etc.  Taken from ltherest.dtx.

	* ltidxbib.dtx: create file. index and bibliography stuff from
	  ltherest.dtx.

1994-02-29 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltcntlen.dtx: create file. Contains counter and length macros.

	* ltmiscen.dtx: remove counter macros.

1994-02-28 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfloat.dtx: create file by removing sectioning commands from
	  ltherest.dtx
	  Use \normalsize in \@caption in place of \@normalsize.

	* ltsect.dtx: create file by removing sectioning commands from
	  ltherest.dtx.

	* ltthm.dtx: create file by removing theorem environment from
	  ltherest.dtx.

	* lttab.dtx: Improve documentation, mainly making sure that
	  \changes entries are not in the scope of `oldcomments'.

	* ltlists.dtx: Improve documentation, mainly making sure that
	  \changes entries are not in the scope of `oldcomments'.

	* ltmiscen.dtx: Improve documentation, mainly making sure that
	  \changes entries are not in the scope of `oldcomments'.

	* ltfiles.dtx: remove \@normalsize test from \document. Use
	  \normalsize instead of \@normalsize.

	* ltinit.dtx: Remove redefinition of \newcount and friends as
	  version in ltplain.dtx is no longer \outer.
	  Comment out the experimental version of \@bsphack.

	  Remove test for \cs{inputlineno} undefined as it is
	  defined in ltplain.dtx

	* ltplain.dtx: remove \outer from \newskip \newdimen \newwrite
	  and \newfam. Also comment out the definition of the `log like'
	  operators. (This does not alter the format, as they were
	  previously redefined by later files.)

	* ltdirchk.dtx: Improve documentation. (Removal of comments
	  refering to obsolete versions of the file.)

1994-02-25 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* source2e.tex: fix date to be \fmtversion, and add authors.

	* ltxdoc.dtx (section{DocInclude}): Use \part to separate the
	  individual file sections.

	* Started Keeping Change log in GNU format. All entries below
	  this point, have been converted from the LaTeX/doc \changes
	  log.

1994-02-16 Braams J.L. <latex-bugs@Uni-Mainz.DE>

	* proc.dtx:
	Removed the use of \wlog and included \fileversion in the optional
	argument of \ProvidesClass

	* slides.dtx:
	Removed the \typeout lines since they are no longer needed.

	* varioref.dtx (subsection{Options}):
	Inserted missing hash mark in the code for the spanish option.

1994-02-16 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltfiles.dtx v1.0c \document (DPC) directly add file list
	  settings

	* ltclass.dtx 0.3f \listfiles Move this code directly into
	  \document

	* ltclass.dtx 0.3f "General" Add pkgindoc package

1994-02-15 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx 1.0c "General" Add \NeedsTeXFormat

	* ltclass.dtx 0.3e \@missingfileerror Quit on x or X just like
	  a real error

	* fontcmds.dtx v3.2a "General" Removed defs of short-forms and
	  all sizes except \normalize

	* fontcmds.dtx v3.2a "General" Removed \@renewfontswitch

	* fontcmds.dtx v3.2a "General" Changed \/ to \@@italiccorr

	* fontcmds.dtx v3.2a "General" Adapted to mass formatting

1994-02-15 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* varioref.dtx (subsection{Options}): 
	Text added for spanish default (Julio Sanchez).
	Changed all \extra... to \extras... that was a bug

1994-02-14 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltherest.dtx v1.0c \end@float (DPC) Use \color@endgroup

	* ltherest.dtx v1.0c \@xfloat (DPC) Use \color@begingroup

	* ltherest.dtx v1.0c \@savemarbox (DPC) Use \color@begingroup

	* ltherest.dtx v1.0c \@footnotetext (DPC) Use
	  \color@begingroup, add \endgraf

	* ltherest.dtx 1.0c \@xympar (DPC) Use \color@begingroup

	* ltboxes.dtx 1.0b \sbox Use \color@begingroup

	* ltboxes.dtx 1.0b \lrbox Use \color@begingroup

	* ltboxes.dtx 1.0b \color@endgroup macro added for colour
	  support

	* ltboxes.dtx 1.0b \color@begingroup macro added for colour
	  support

	* ltboxes.dtx 1.0b \@isavepicbox Use \color@begingroup

	* ltboxes.dtx 1.0b \@isavebox Use \color@begingroup

1994-02-14 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* lablst.tex: Added.

	* idx.tex: Added.

1994-02-14 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* classes.dtx (subsubsection{Margins}): 
	Shortened calculation for margins.

1994-02-13 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltinit.dtx v1.0c \@tfor (DPC) Add \@tf@r so a single group is
	  correctly treated.

	* ltfiles.dtx 0.3b \InputIfFileExists Use new cmd
	  \@addtofilelist

	* ltclass.dtx 0.3d \listfiles Reset \@addtofilelist at begin
	  document

	* ltclass.dtx 0.3d \@addtofilelist Macro added

1994-02-13 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* docstrip.dtx: 
	Replaced \if!#2! by \if>#2> in \from to allow negated modules
	appearing in this place.

	* doc.dtx: 
	Removed \typeout's

	* eufrak.dtx: 
	Removed \typeout's

	* euscript.dtx: 
	Removed \typeout's

	* latexsym.dtx: 
	Removed \typeout's

	* exscale.dtx: 
	Removed \typeout's

	* oldgerm.dtx: 
	Removed \typeout's

	* varioref.dtx: 
	Removed \typeout's

	* pandora.dtx: 
	Removed \typeout's

	* docstrip.dst:
	Corrected unpacking for ltxdoc.cls (change of docstrip module).

	* classes.dtx 
        (subsubsection{The dimension of text}):
	Use same default values for native mode as in old styles.

	(section{Identification}):
	Added file versions to the \Provides... commands

        (subsection{Footnotes}): 
	Use \@makefnmark rather than its expansion in the definition
	of \@makefntext.

1994-02-12 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx v1.0b "General" Name changed from lplain. The end
	  of an era

	* ltinit.dtx v1.0b \@yargdef Name changed from \XXX@Argdef

	* ltinit.dtx v1.0b \@reargdef New defn, in terms of \@yargdef

	* ltherest.dtx v0.1b \@xympar (DPC) Extra bgroup for colour

	* ltherest.dtx v0.1b \@savemarbox (DPC) Extra group for colour

	* ltdirchk.dtx 1.0b "General" Minor edits to the typeouts in
	  ltxcheck

	* ltdirchk.dtx 1.0b "General" Change name from dircheck.dtx

	* ltclass.dtx 0.3c \ProvidesPackage use \@gtempa

	* ltclass.dtx 0.3c \ProvidesPackage Add \wlog

	* ltclass.dtx 0.3c \ProvidesFile Add \wlog

	* ltclass.dtx 0.3c "General" Change name from docclass to
	  ltclass

	* ltclass.dtx 0.3c \@fileswithoptions Do not use
	  \@pr@videpackage to avoid typeout

1994-02-12 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* classes.dtx 
        (section{Identification}): 
	Removed \typeout statements since this is now handled by
	\Provide...

	(subsubsection{Margins}):
	New algorithm for calculation \oddsidemargin.
	New algorithm for calculating \marginparwidth.

	* unpack2e.ins:
	Changed kernel generation using new file names.

1994-02-11 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.dtx: Corrected \cmd{@oval}, like previous change to
	latex.dtx.

	* latint.dtx: \DeclareSymbolFontAlphabet: Added check against
	use of alphabet switch outside of math mode.

1994-02-10 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* newlfont.dtx: Changed \math@bgroup/\math@egroup to use
	\bgroup/\egroup, to follow the change in fam.dtx.

	* fam.dtx: Changed \math@bgroup/\math@egroup to use
	\bgroup/\egroup rather than \begingroup/\endgroup to avoid
	leaking out of style changes. Side effect: now always produce
	mathord atoms.

	* tlb0320.lvt: Added \showoutput and \scrollmode.

	* manifest.l2e: Added syntonly.dtx, syntonly.ins and
	nfssfont.tex.

	* l2extra.dst: Added generation of syntonly package.  Removed
	generation of .drv file for varioref.

	* syntonly.dst: Added to distribution.

	* syntonly.dtx: Added to distribution.

1994-02-08 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltplain.dtx v1.0a "General" Remove need for a driver file.

	* ltdirchk.dtx 1.0a "General" Reorganise driver module into `new
	  style'

	* ltclass.dtx 0.3b "General" Modify driver code into `new style'

1994-02-08 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* slides.dtx: Changed \@makefnmark to call \@makefntext rather
	that \@thefnmark directly.

	* letter.dtx: Changed \@makefnmark to call \@makefntext rather
	that \@thefnmark directly.  Changed class to always write an
	.aux file, so that, e.g., cross referencing commands work.

	* tl2e4.tlg: Update for new versions of packages latexsym,
	newlfont, euscript.

	* tlxs05s.tlg: Update for removal of declared option `twoside'
	in slides.dtx.

	* tlcs05s.tlg: Update for removal of declared option `twoside'
	in slides.dtx.

	* tlcs01a.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs01b.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs01l.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs01p.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tltc001.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tltc002.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs01r.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs02.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs04a.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs04b.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs04r.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlcs08.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* slides.dtx: Corrected first argument of \IfFileExists for
	reading sfonts.cfg: sfonts.def to sfonts.cfg.

	* tnfss1.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tnfss2.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tnfss3.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tnfss4.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tnfss5.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tnfss6.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tl2e5.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlb0014.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* vlatex01.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* vlatex02.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* vlatex03.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* vlatex04.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* vlatex06.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* vlatex07.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tl2e1.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tl2e2.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tl2e3.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlb0057.tlg: Updated for new filedate (\docdate taken up
	from some file).

	* tlb0010.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlb0018.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlb0073.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* tlb0077.tlg: Updated for change in latexsym.dtx (v2.1a -->
	v2.1b).

	* fontcmds.dtx: Corrected typo in documentation.

1994-02-07 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* lttab.dtx v1.0a "General" Long lines wrapped to 72 columns

	* ltpictur.dtx v0.1a "General" Long lines wrapped to 72 columns

	* ltpictur.dtx v0.1a "General" Initial version, split from
	  latex.dtx

	* ltlists.dtx v1.0a "General" Long lines wrapped to 72 columns

	* ltinit.dtx v1.0a "General" (DPC) Removed input of nfsscode.ltx

	* ltinit.dtx v1.0a \@@italiccorr Macro added

	* ltinit.dtx v0.1a "General" Long lines wrapped to 72 columns

	* ltinit.dtx v0.1a "General" Initial version, split from
	  latex.dtx

	* ltherest.dtx v0.1a \end@float (DPC) Extra group for colour

	* ltherest.dtx v0.1a "General" Long lines wrapped to 72 columns

	* ltherest.dtx v0.1a "General" Initial version, split from
	  latex.dtx

	* ltherest.dtx v0.1a \@xfloat (DPC) Extra group for colour

	* ltherest.dtx v0.1a \@settodim (DPC) Extra group for colour

	* ltherest.dtx v0.1a \@hangfrom (DPC)Extra groups for colour

	* ltherest.dtx v0.1a \@footnotetext (DPC) Extra group for colour

	* ltfinal.dtx v0.1a "General" Remove oldcomments environment

	* ltfinal.dtx v0.1a "General" Initial version, split from
	  latex.dtx

	* ltfinal.dtx 0.1a "General" use \InputIfFileExists not
	  \IfFileExists

	* ltfinal.dtx 0.1a "General" move code here from lhyphen.dtx

	* ltfinal.dtx 0.1a "General" Add code from the old dump.dtx

	* ltfiles.dtx v1.0a "General" Long lines wrapped to 72 columns

	* ltfiles.dtx v1.0a "General" Initial version, split from
	  latex.dtx

	* ltboxes.dtx v1.0a "General" Unify format with other Kernel
	  files

	* ltboxes.dtx v0.1a \@mpfootnotetext (DPC) Extra group for
	  colour

1994-02-07 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* cmextra.dst: Corrected `cyrilic' --> `cyrillic'.  Changed
	1993 to 1994.

	* slides.dtx: Removed declared option `twoside' (Suggested by
	Joachim Schrod).

1994-02-07 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* makeindx.dtx (subsection{Makeidx}): 
	Changed \newcommand to \providecommand for \seename.

1994-02-06 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latexsym.dtx: 
	Changed \typeout's to \wlog's

	* newlfont.dtx (section{The Code}): 
	Define \cal and \mit to behave as in NFSS1

1994-02-04 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltvers.dtx v1.0a "General" Initial version, split from
	  latex.dtx

	* lttab.dtx v1.0a "General" Initial version, split from
	  latex.dtx

	* ltlists.dtx v1.0a "General" Initial version, split from
	  latex.dtx

1994-02-04 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* testpage.tex: Changed question asking for paper type so that
	the answer must now include `paper'. Added question for
	doublesided printing.

1994-02-03 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltboxes.dtx 0.1f \@irsbox Replaced a missing \else

1994-02-03 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* ltxdoc.dtx: 
	Added driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.
	Set counter StandardModuleDepth to 1, since all ltx documentation
	needs that setting anyway.

1994-02-02 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltclass.dtx 0.3a "General" Remove need for driver file

	* ltboxes.dtx v0.1e "General" Remove need for drv file

	* ltboxes.dtx v0.1e "General" Add 2ekernel module

1994-02-02 Rainer Schoepf <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: Added 2ekernel conditional to generation of
	ltboxes.ltx from ltboxes.dtx since this is now necessary
	(cf. last change to ltboxes.dtx).

	* unpack2e.ins: Added 2ekernel conditional to generation of
	latex2e.ltx from docclass.dtx since this is now necessary
	(cf. last change to docclass.dtx).

	* unpack2e.ins: Removed generation of latex2e.drv and
	dircheck.drv.

	* slides.dst: Renamed sfontdef.* to sfonts.*.

	* unpacked.l2e: Removed *.drv files (no longer generated)
	Renamed slides .ltx files to .def.

	* slides.fdd: Removed extra pair of curly braces after
	DeclareFontFamily.  Corrected Documentation to refer to
	sfonts.*, not to sfontdef.*.

	* slides.dtx: Renamed files sfontdef.* to sfonts.*.

	* letter.dtx: Moved documentation driver further up, so that
	"latex2e letter.dtx" works.

	* letter.dst: Removed generation of .drv file, changed typeout
	message that explains how to typeset the documentation.

	* slides.dtx: Added forgotten changes entry for last change.

	* slides.dtx: Renamed files slides.ltx and sfontdef.ltx to
	slides.def and sfontdef.def.

	* slides.fdd: Moved driver further up so that no extra .drv
	file is needed, but "latex2e slides.fdd" works.

	* slides.dst: Updated copyright message to show 1994.  Removed
	generation of .drv files.  Renamed .ltx --> .def

	* slides.dtx: Moved driver further up so that no extra .drv
	file is needed, but "latex2e slides.dtx" works.  Removed
	makeidx class option, as it is now a proper package.  Changed
	leqno class option t oread leqno.clo.  Added fleqn class
	option (reads fleqn.clo).
1994-02-01 David Carlisle <latex-bugs@Uni-Mainz.DE>

	* ltdirchk.dtx 0.2k "General" Add unstripped module, so that
	  dircheck.dtx may be used with initex

1994-02-01 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* unpack2e.ins: 
	Removed unnecessary .drv generation (some are still there)
	Added the the WITHOUT ANY WARRANTY message to some preambles.

	* oldgerm.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.
	Removed extra pair of braces after \DeclareFontFamily which has
	only three arguments not four.

	* oldlfont.dtx:
	Removed surplus \ShortVerb setting.

	* lhyphen.dtx: 
	Corrected typo in documentation.

1994-01-28 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* varioref.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

1994-01-27 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* latint.dtx: 
	Removed decl of \@unused since defined earlier.
	Removed decl of \typeout.
	Removed decl of \@tempdima \@tempdimb.

1994-01-26 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* eufrak.dtx: 
	Changed driver code slightly.
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* euscript.dtx: 
	Changed driver code slightly.
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* exscale.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* nfssfont.dtx: 
	Added to the distribution.
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* docstrip.dtx (section{Producing the documentation}): 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* oldlfont.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* latexsym.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* newlfont.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* pandora.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* preload.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* lhyphen.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* fontdef.dtx: 
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

	* fontcmds.dtx:
	Moved the driver code in front so that the documentation can be
        processed by simply running the file through LaTeX2e.

1994-01-24 Frank Mittelbach <latex-bugs@Uni-Mainz.DE>

	* fam.dtx (subsection{Macros for loading fonts}): 
        Removed catcode settings from \try@load@fontshape and
	\DeclareFontShape and placed them into a separate macro called
	\nfss@catcodes so that it is easier to maintain special
	requirements for packages that make certain characters active.
